﻿unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, Vcl.ExtCtrls, uDLLdef, Vcl.Filectrl,
  Vcl.ComCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    butPathPc: TButton;
    edErrCode: TEdit;
    edPfad: TEdit;
    butExecute: TButton;
    memInfo: TMemo;
    edGefFan: TEdit;
    comBoxIdNo: TComboBox;
    comBoxTyp: TComboBox;
    butGetProducts: TButton;
    GroupBox1: TGroupBox;
    btnGet_Fan_Curve: TButton;
    edIDno: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    ComboxOption: TComboBox;
    ComboxMounting: TComboBox;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Memo1: TMemo;
    Edit9: TEdit;
    Label16: TLabel;
    Edit1: TEdit;
    Edit10: TEdit;
    Edit11: TEdit;
    Edit12: TEdit;
    Edit13: TEdit;
    Edit14: TEdit;
    Edit15: TEdit;
    edErrCodeCurve: TEdit;
    Label17: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    CheckBox7: TCheckBox;
    CheckBox8: TCheckBox;
    Edit16: TEdit;
    btnChoosePath: TButton;
    Label18: TLabel;
    Label19: TLabel;
    Timer1: TTimer;
    procedure butPathPcClick(Sender: TObject);
    function setPath(Path: AnsiString): Integer;
    procedure butExecuteClick(Sender: TObject);
    procedure butGetProductsClick(Sender: TObject);
    procedure Clear_display;
    procedure comBoxIdNoChange(Sender: TObject);
    procedure comBoxTypChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure List_item;
    procedure show_Results(n: Integer; Path: string);
    procedure show_Results_2(n:Integer;FanList:String);
    procedure btnGet_Fan_CurveClick(Sender: TObject);
    procedure Get_Input_Value(var Input_data:String);
    procedure show_Results_GET_FAN_CURVE(n:Integer;fanDescription:PAnsiChar);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure CheckBox8Click(Sender: TObject);
    procedure btnChoosePathClick(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Delay(const Milliseconds: DWord);

  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


{===============================================================================}


procedure TForm1.butExecuteClick(Sender: TObject);
var
  BuPath: string;
  mbYesNo: Integer;
  selDirect: boolean;
  vBuPath: string;
begin
  // Call the Directory// Directory aufrufen
  selDirect := SelectDirectory('Wählen Sie den gewünschten Pfad aus.', '', BuPath);
  // If not true close the Window // Wenn nicht wahr, Fenster schließen
  if not selDirect then
  begin
    Exit;
  end
  else
  // Open the FolderBrowserDialog // FolderBrowserDialog öffnen
  begin
    vBuPath := 'Wollen Sie den Pfad:  ' + BuPath + #13 + 'übernehmen?';
    mbYesNo := MessageDlg(vBuPath, mtConfirmation, [mbYes, mbNo], 0);
    // if 'Yes' write the path in the variable and show it in the Editbox// wenn 'Ja' Pfad in Variable schreiben und in Edit-Feld anzeigen
    if mbYesNo = ID_YES then
    begin
      edPfad.Text := BuPath;
    end
    else
    // if no stop the process and show a message// Wenn 'Nein' Verarbeitung stoppen, Fehlermeldung ausgeben
    begin
      application.messageBox('Die Verarbeitung wurde abgebrochen!', ' ', 0);
    end;

  end;

end;

{===============================================================================}

procedure TForm1.btnChoosePathClick(Sender: TObject);
var
  BuPath: string;
  mbYesNo: Integer;
  selDirect: boolean;
  vBuPath: string;
begin
    // Call the Directory// Directory aufrufen
  selDirect := SelectDirectory('Wählen Sie den gewünschten Pfad aus.', '', BuPath);
  // If not true close the Window // Wenn nicht wahr, Fenster schließen
  if not selDirect then
  begin
    Exit;
  end
  else
  // Open the FolderBrowserDialog // FolderBrowserDialog öffnen
  begin
    vBuPath := 'Wollen Sie den Pfad:  ' + BuPath + #13 + 'übernehmen?';
    mbYesNo := MessageDlg(vBuPath, mtConfirmation, [mbYes, mbNo], 0);
    // if 'Yes' write the path in the variable and show it in the Editbox// wenn 'Ja' Pfad in Variable schreiben und in Edit-Feld anzeigen
    if mbYesNo = ID_YES then
    begin
      Edit9.Text := BuPath;
    end
    else
    // if no stop the process and show a message// Wenn 'Nein' Verarbeitung stoppen, Fehlermeldung ausgeben
    begin
      application.messageBox('Die Verarbeitung wurde abgebrochen!', ' ', 0);
    end;

  end;
end;

{===============================================================================}


procedure TForm1.butPathPcClick(Sender: TObject);
var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfügbar -1 = file ist nicht verfügbar
begin

    Path := trim(edPfad.Text); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu können
    n := setPath(Path);

    // if the file doesn´t exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then

    ShowMessage('Pfad existiert nicht! Bitte wählen sie einen gültigen Pfad!');
end;

{===============================================================================}

function TForm1.setPath(Path: AnsiString): Integer;
var
  l, n: LongInt;
  path_PAnsiChar: PAnsiChar;
  buffer: PAnsiChar;
begin
  n := -1;
  if fileExists(Path + '\Data.sqlite') then  // if the file Data.sqlite exists  // Wenn die file Data.sqlite existiert
  begin
    l := length(Path);                       // Set the length // Setze die Länge
    if Path[l] <> ';' then                   // if there is no semicolon at the end // Wenn kein Semikolon am Ende steht
    Path := Path + ';';                      // Add a semicolon // Füge ein Semikolon hinzu
    GetMem(buffer, 4000);                    // Get Free Memory for the function // Hole freien Speicher für die Funktion
    buffer := PAnsiChar(Path);               // write the path in the variable buffer (in Ansi code) // schreibe den Pfad in die Variable buffer (im Ansicode)
    n := uDLLdef.SET_XML_PATH_PC(buffer);    // integrate the database with the program // Binde die Datenbank in das Programm ein
    show_Results(n, buffer);                 // show the result // zeige das Ergebnis
  end
  else
  begin
    result := n;
  end;
end;
{===============================================================================}
procedure TForm1.show_Results(n: Integer; Path: string);
var
  l: LongInt;           // l = length of the path string (number of signs) // l = die Länge des Pfad Strings (Anzahl der Zeichen)
begin

  l := length(Path);   // Set the length of the path // Setze die Länge des Pfads
  if Path[l] = ';' then  // if there is a semcolon at the end // Wenn ein Semikolon am Ende steht
    delete(Path, l, 1);  // delete it // lösche es
  if fileExists(Path + '\Data.sqlite') then // if the file Data.sqlite exists edErrCode will show 0 // Wenn die file Data.sqlite existiert wird edErrCode eine 0 anzeigen
  begin
    edPfad.Text := Path;
    edErrCode.Text := intToStr(n);
  end
  else    // if not edErrCode will show -1 // wenn nicht, wird edErrCode eine -1 anzeigen
  begin
    edErrCode.Text := intToStr(-1);
    edPfad.Text := 'keine Datenbank vorhanden!  ' + Path + '\Data.sqlite'
  end;

end;
{===============================================================================}

procedure TForm1.butGetProductsClick(Sender: TObject);
begin
  if edErrCode.Text = '0' then
  begin
  List_item;          // list the itmes // Liste die Daten auf
  end;
end;


{===============================================================================}


procedure TForm1.Clear_display;
begin
  memInfo.Clear;    // delete the content of  memInfo // Lösche den Inhalt von memInfo
  comBoxIdNo.Clear; // delete the content of comBoxIdNo // Lösche den Inhalt von comBoxIdNo
  comBoxTyp.Clear;  // delete the content of comBoxTyp // Lösche den Inhalt von ComBoxTyp
end;

{===============================================================================}

procedure TForm1.comBoxIdNoChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxIdNo.ItemIndex;
  comBoxTyp.ItemIndex := n;
  edIDno.Text := comBoxIdNo.Text;
end;

{===============================================================================}

procedure TForm1.comBoxTypChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxTyp.ItemIndex;
  comBoxIdNo.ItemIndex := n;
  edIDno.Text := comBoxIdNo.Text;
end;

{===============================================================================}

procedure TForm1.FormCreate(Sender: TObject);
begin
 ComboxOption.Items.Add('0');
 ComboxOption.Items.Add('1');
 ComboxMounting.Items.Add('0');
 ComboxMounting.Items.Add('1');
 ComboxMounting.Items.Add('2');
 ComboxMounting.Items.Add('3');
end;

{===============================================================================}




procedure TForm1.List_item;
var
  fanDescription: PAnsiChar;
  n:integer;
  FanList:String;
begin
  Clear_display;                                    // Clear the contents // Lösche die Inhalte

      // PC PAnsiChar // PC AnsiChar
       GetMem(fanDescription, 4000);                 // Get free Memory for the function // Hole freien Speicher für die Funktion
       n:=uDLLdef.GET_PRODUCTS_PC(fanDescription);   // Get the Products(PC) // Hole die Produkte
      if (n <0) then                                 // If Get Products Button is clicked before Setting the Database
      begin
      ShowMessage('Der Pfad wurde noch nicht gesetzt.');
      end
      else
      begin

      show_Results_2(n,fanDescription);             // Show the result in the Combobexes and the Memo // Zeige das Ergebnis in den Comboboxen und in der Memo
      FreeMem(fanDescription);                      // free the Memory // Gebe den Speicher frei
      end;
end;




{===============================================================================}

procedure TForm1.show_Results_2(n:Integer;       //Number of products // Anzahl der Produkte
                                          FanList:String);  //Product List // Produktliste


var
  Typen:             Array of String; // Declaration of a string array for the types // Deklaration eines string Arrays für die Typen
  IdNo :             Array of String; // Declaration of a string array for the ID // Deklaration eines string Arrays für die ID

  m,Anz:integer;                       // Declaration of the variable m for the number of signs after a '|' // Deklaration der Variable m für die Anzahl der Zeichen nach einem '|'
  s:String;                            // Declaration of the variable s for the product list // Deklaration der Variable s für die Produktliste
begin
  SetLength(Typen,n+1);
  SetLength(IdNo,n+1);
  edGefFan.Text:= IntToStr(n);
  s:=FanList; {übergebener String merken}
  Anz:=0;    //Number of types //Anzahl der Typen
  while Pos(';',S) > 0 do begin    //  Semicolon in | convert and count // Wandle Semikolon zu | um und zähle hoch
    m:=Pos(';',S);                 //position of the semicolon  // Position des Semikolons
    S[m]:= '|';
    inc(Anz);
  end;


    memInfo.Lines.Add('number of existing ventilators: '+intToStr(Anz div 2)); // show the number of elements // Zeige die Anzahl der Elemente an

  n:=1;
  while length(s)>0 do begin       // While the length is > 0 // Während die Länge > 0 ist
    m:=pos('|',s);
    idno[n]:=copy(s,1,m-1);        // Copy the ID to the idno array // Kopiere die ID in das idno Array
    delete(s,1,m);                 // Delete the ID in the string // Lösche die ID in dem string
    s:=trim(s);                    // Trim the string  // Trimme den String

    m:=pos('|',s);
    Typen[n]:=copy(s,1,m-1);       // Copy the type to the type array // Kopiere die Typen in das Typen Array
    delete(s,1,m);                 // Delete the type int the string // Lösche den Typ in den string
    s:=trim(s);                    // Trim the string // Trimme den String



    memInfo.Lines.Add('No: '+intToStr(n)+'   '+idno[n]+'   '+Typen[n]); // Fill the Memo with the information // Fülle die Memo mit Informationen
    comBoxIdNo.Items.Add(IdNo[n]);  // Fill the ID ComboBox with the information // Fülle die ID ComboBox mit Informationen
    comBoxTyp.Items.Add(Typen[n]);  // Fill the type ComboBOx with the information // Fülle die Typ ComboBox mit Informationen
    inc(n);
  end;
  if comBoxIdNo.Items.Count>0   then comBoxIdNo.ItemIndex:=0; //Show the ID of the first product // Zeige die ID vom ersten Produkt
  if comBoxTyp.Items.Count>0    then comBoxTyp.ItemIndex:=0;  //Show the type of the first product // Zeige den Typ des ersten Produkts
end;

{===============================================================================}

procedure TForm1.Get_Input_Value(var Input_data:String);
begin
      Input_data :=   comBoxIdNo.Text + ';' +
                      ComboxOption.Text + ';' +
                      ComboxMounting.Text + ';' +
                      Edit2.Text + ';' +
                      Edit3.Text + ';' +
                      Edit4.Text + ';' +
                      Edit5.Text + ';' +
                      FormatFloat('#0.00000',(StrToFloat(Edit6.Text)/3600)) + ';' +
                      Edit7.Text + ';' +
                      Edit8.Text + ';' +
                      'psf' + ';' +
                      Edit1.Text + ';' +
                      Edit10.Text + ';' +
                      Edit11.Text + ';' +
                      Edit12.Text + ';' +
                      Edit13.Text + ';' +
                      Edit14.Text + ';' +
                      Edit15.Text + ';' +
                      Edit9.Text + ';';

end;

{===============================================================================}

procedure TForm1.show_Results_GET_FAN_CURVE(n:Integer;fanDescription:PAnsiChar);
var

  Input_data,tmpDescript: String;               // Declaration of the variable Input_data and tmpDescript  for the product data // Deklaration der Variable Input_Data und tmpDescript für die Produktdaten
  i:integer;                                    // Counter variable i
  theText : Array of string;
  j: integer;
begin
  SetLength(theText,1000);
  theText[0] := #09 + '(n [1/min])';;
  theText[1] := #09 + '(Pe [W])';
  theText[2] := #09 + '(I [A])';
  theText[3] := #09 + '(ηe [%])';
  theText[4] := #09 + '(U control [V])';
  theText[5] := #09 + '(Md [Ncm])';
  theText[6] := #09 + '(ηo [%])';
  theText[7] := #09 + '(LwA(in+out)[dBA])';
  theText[8] := #09 + '(LwA(in))[dBA]';
  theText[9] := #09 + '(LwA(out)[dBA]';
  theText[10] := #09 + '(Lw_62.5_Hz (in) [dB])';
  theText[11] := #09 + '(Lw_125__Hz (in) [dB])';
  theText[12] := #09 + '(Lw_250__Hz (in) [dB])';
  theText[13] := #09 + '(Lw_500__Hz (in) [dB])';
  theText[14] := #09 + '(Lw_1000_Hz (in) [dB])';
  theText[15] := #09 + '(Lw_2000_Hz (in) [dB])';
  theText[16] := #09 + '(Lw_4000_Hz (in) [dB])';
  theText[17] := #09 + '(Lw_8000_Hz (in) [dB])';
  theText[18] := #09 + '(Lw_62.5_Hz (out) [dB])';
  theText[19] := #09 + '(Lw_125__Hz (out) [dB])';
  theText[20] := #09 + '(Lw_250__Hz (out) [dB])';
  theText[21] := #09 + '(Lw_500__Hz (out) [dB])';
  theText[22] := #09 + '(Lw_1000_Hz (out) [dB])';
  theText[23] := #09 + '(Lw_2000_Hz (out) [dB])';
  theText[24] := #09 + '(Lw_4000_Hz (out) [dB])';
  theText[25] := #09 + '(Lw_8000_Hz (out) [dB])';
  theText[26] := #09 + '(pf[Pa])';
  theText[27] := #09 + '(psf[Pa])';
  theText[28] := #09 + '(qv [m³/h])';
  theText[29] := #09 + '(Path to Fan_Curve_Chart)';

  edIDno.Text := comBoxIdNo.Text;
  i:= 0;

  tmpDescript:= '';
  while ((fanDescription[i] <> #00)) do begin  // As long as there is a content in fanDescription // Solange sich ein Inhalt in fanDescription befindet
    if fanDescription[i] <> ';' then           //if there is no semicolon add the Sign to tmpDescript // Wenn kein Semikolon, dann füge das Zeichen zu tmpDescript hinzu
    begin
      tmpDescript:= tmpDescript + fanDescription[i]
    end
    else  // If there is a semicolon tmpDescript := tmpDescript + DC3 + DLE
    begin
      tmpDescript:= tmpDescript + theText[j] + #13 + #10;
      Memo1.Lines.Add(tmpDescript);
      Inc(j);
    end;
    Inc(i);
  end;
  edErrCodeCurve.Text:= IntToStr(n);

end;



{===============================================================================}

procedure XStrToCArr(text: AnsiString; var tmptext: PAnsiChar);
begin
  tmptext:=PAnsiChar(text);
end;

{===============================================================================}



procedure TForm1.btnGet_Fan_CurveClick(Sender: TObject);
var
  fanDescription: PAnsiChar;
  buffer:         PAnsiChar;
  Input_data:     String;
  n:integer;
begin
 if (edGefFan.Text <> '') and (edErrCode.Text = '0') then
 begin
  if Edit9.Text <> '' then
  begin
  Get_Input_Value(Input_data);
  //Input_data:='125805;;;1,2;;;318;0,55556;;' ;
  XStrToCArr(Input_data, fanDescription);
  GetMem(buffer, 4000);                                              // Get Memory for the function // Hole Speicher für die Funktion
  n:=uDLLdef.GET_FAN_CURVE(fanDescription,buffer);    //Berechnung über die DLL // Calculation on the DLL
  show_Results_GET_FAN_CURVE(n,buffer);                  // Show the result // Zeige das Ergebnis
  FreeMem(buffer);                                                   // Free the Memory // Gib den Speicher wieder frei
  end
  else
  begin
      ShowMessage('Trage Pfad ein!');
  end;
 end;
end;

{===============================================================================}


 // if you click a checkbox the textbox will show which graph you also want to have in the emf file // Wenn man eine checkbox anklickt, zeigt die Textbox an, welchen Graph man ebenfalls in der emf Datei haben möchte
 // With another click on the same checkbox you can prevent on having another Graph in the emf file // Mit einem weiteren Klick auf der selben Checkbox verhindert man, dass ein weiterer Graph in der emf vorhanden ist
procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  if CheckBox2.Checked = true then
  begin
    Edit1.Text :=  'Pe';
  end
  else
  begin
    Edit1.Text := '';
  end;
end;

{===============================================================================}
 // if you click a checkbox the textbox will show which graph you also want to have in the emf file // Wenn man eine checkbox anklickt, zeigt die Textbox an, welchen Graph man ebenfalls in der emf Datei haben möchte
 // With another click on the same checkbox you can prevent on having another Graph in the emf file // Mit einem weiteren Klick auf der selben Checkbox verhindert man, dass ein weiterer Graph in der emf vorhanden ist
procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  if CheckBox3.Checked = true then
  begin
    Edit10.Text :=  'n';
  end
  else
  begin
    Edit10.Text := '';
  end;
end;

{===============================================================================}
  // if you click a checkbox the textbox will show which graph you also want to have in the emf file // Wenn man eine checkbox anklickt, zeigt die Textbox an, welchen Graph man ebenfalls in der emf Datei haben möchte
  // With another click on the same checkbox you can prevent on having another Graph in the emf file // Mit einem weiteren Klick auf der selben Checkbox verhindert man, dass ein weiterer Graph in der emf vorhanden ist
procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  if CheckBox4.Checked = true then
  begin
    Edit11.Text :=  'eta_e';
  end
  else
  begin
    Edit11.Text := '';
  end;
end;

{===============================================================================}
   // if you click a checkbox the textbox will show which graph you also want to have in the emf file // Wenn man eine checkbox anklickt, zeigt die Textbox an, welchen Graph man ebenfalls in der emf Datei haben möchte
   // With another click on the same checkbox you can prevent on having another Graph in the emf file // Mit einem weiteren Klick auf der selben Checkbox verhindert man, dass ein weiterer Graph in der emf vorhanden ist
procedure TForm1.CheckBox5Click(Sender: TObject);
begin
  if CheckBox5.Checked = true then
  begin
    Edit12.Text :=  'eta_se';
  end
  else
  begin
    Edit12.Text := '';
  end;
end;

{===============================================================================}
 // if you click a checkbox the textbox will show which graph you also want to have in the emf file // Wenn man eine checkbox anklickt, zeigt die Textbox an, welchen Graph man ebenfalls in der emf Datei haben möchte
 // With another click on the same checkbox you can prevent on having another Graph in the emf file // Mit einem weiteren Klick auf der selben Checkbox verhindert man, dass ein weiterer Graph in der emf vorhanden ist
procedure TForm1.CheckBox6Click(Sender: TObject);
begin
  if CheckBox6.Checked = true then
  begin
    Edit13.Text :=  'I';
  end
  else
  begin
    Edit13.Text := '';
  end;
end;

{===============================================================================}
 // if you click a checkbox the textbox will show which graph you also want to have in the emf file // Wenn man eine checkbox anklickt, zeigt die Textbox an, welchen Graph man ebenfalls in der emf Datei haben möchte
 // With another click on the same checkbox you can prevent on having another Graph in the emf file // Mit einem weiteren Klick auf der selben Checkbox verhindert man, dass ein weiterer Graph in der emf vorhanden ist
procedure TForm1.CheckBox7Click(Sender: TObject);
begin
  if CheckBox7.Checked = true then
  begin
    Edit14.Text :=  'LwA_in';
  end
  else
  begin
    Edit14.Text := '';
  end;
end;

{===============================================================================}
 // if you click a checkbox the textbox will show which graph you also want to have in the emf file // Wenn man eine checkbox anklickt, zeigt die Textbox an, welchen Graph man ebenfalls in der emf Datei haben möchte
 // With another click on the same checkbox you can prevent on having another Graph in the emf file // Mit einem weiteren Klick auf der selben Checkbox verhindert man, dass ein weiterer Graph in der emf vorhanden ist
procedure TForm1.CheckBox8Click(Sender: TObject);
begin
  if CheckBox8.Checked = true then
  begin
    Edit15.Text :=  'LwA_out';
  end
  else
  begin
    Edit15.Text := '';
  end;
end;

procedure TForm1.Delay(const Milliseconds: DWord);
var
  FirstTickCount: DWord;
begin
  FirstTickCount := GetTickCount;
  while ((GetTickCount - FirstTickCount) < Milliseconds) do
    Application.ProcessMessages;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfügbar -1 = file ist nicht verfügbar
begin

Timer1.Enabled := false;
 if ParamCount > 0 then
begin
   if paramCount = 1 then
  begin




    Path := trim(ParamStr(1)); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu können
    n := setPath(Path);
    edPfad.Text := ParamStr(1);
    // if the file doesn´t exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then
    begin
    ShowMessage('Pfad existiert nicht! Bitte wählen sie einen gültigen Pfad!');
    end;

      Delay(1000);
      List_item;        // list the itmes // Liste die Daten auf
      Delay(1000);
      btnGet_Fan_Curve.Click;

  end;
end;


end;

end.
