unit GETCALCULATIONFANMOTOR;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.Filectrl, Vcl.ComCtrls, Vcl.StdCtrls, uDLLdef;

type
  TForm1 = class(TForm)
    Panel3: TPanel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    butPathPc: TButton;
    edErrCode: TEdit;
    edPfad: TEdit;
    butExecute: TButton;
    butGetProducts: TButton;
    edGefFan: TEdit;
    comBoxIdNo: TComboBox;
    comBoxTyp: TComboBox;
    memInfo: TMemo;
    PageControl1: TPageControl;
    tla: TTabSheet;
    Label1: TLabel;
    Label116: TLabel;
    Label117: TLabel;
    Label115: TLabel;
    Label111: TLabel;
    Label109: TLabel;
    Label108: TLabel;
    Label110: TLabel;
    Label112: TLabel;
    Label113: TLabel;
    Label114: TLabel;
    Label164: TLabel;
    Label_1_Vpkt_m3_s: TLabel;
    Label165: TLabel;
    ed16: TEdit;
    ed24: TEdit;
    ed17: TEdit;
    ed25: TEdit;
    ed18: TEdit;
    ed26: TEdit;
    ed19: TEdit;
    ed27: TEdit;
    ed20: TEdit;
    ed28: TEdit;
    ed21: TEdit;
    ed29: TEdit;
    ed22: TEdit;
    ed30: TEdit;
    ed23: TEdit;
    ed31: TEdit;
    ed41: TEdit;
    ed42: TEdit;
    ed40: TEdit;
    TabSheet1: TTabSheet;
    Label2: TLabel;
    Label78: TLabel;
    Label77: TLabel;
    Label79: TLabel;
    Lbl_UstSoll: TLabel;
    Label74: TLabel;
    Label73: TLabel;
    Label76: TLabel;
    Label75: TLabel;
    Label5_: TLabel;
    Label80: TLabel;
    Label97: TLabel;
    ed2: TEdit;
    ed7: TEdit;
    ed8: TEdit;
    ed10: TEdit;
    ed11: TEdit;
    ed6: TEdit;
    ed5: TEdit;
    ed4: TEdit;
    ed9: TEdit;
    ed3: TEdit;
    ed12: TEdit;
    Label3: TLabel;
    ed32: TEdit;
    ed33: TEdit;
    ed34: TEdit;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    ed35: TEdit;
    ed36: TEdit;
    ed37: TEdit;
    ed38: TEdit;
    ed39: TEdit;
    ed0: TEdit;
    Label13: TLabel;
    Label14: TLabel;
    Label7: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Panel1: TPanel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    Label32: TLabel;
    Label33: TLabel;
    Label34: TLabel;
    Label35: TLabel;
    Label36: TLabel;
    Label37: TLabel;
    Label38: TLabel;
    Label40: TLabel;
    Label41: TLabel;
    edErrCodeFanmotor: TEdit;
    ComboxOption: TComboBox;
    ComBoxMounting: TComboBox;
    edAirDensity: TEdit;
    edAltitude: TEdit;
    edAirVolume: TEdit;
    edSpeedStep: TEdit;
    edPressureDifferenceStatic: TEdit;
    edIdNo: TEdit;
    edPressureDifferenceTotal: TEdit;
    Label39: TLabel;
    edSeparationDistance: TEdit;
    edSupplyVoltage: TEdit;
    Label42: TLabel;
    Label43: TLabel;
    Label44: TLabel;
    Label45: TLabel;
    Label46: TLabel;
    Label47: TLabel;
    memOutputData: TMemo;
    ed13: TEdit;
    Label49: TLabel;
    ed15: TEdit;
    ed14: TEdit;
    Label48: TLabel;
    Button1: TButton;
    Button2: TButton;
    edAirTemperature: TEdit;
    Timer1: TTimer;
    //procedure butGetCalculationFanmotorClick(Sender: TObject);
    //procedure btOutputDataClick(Sender: TObject);
    procedure check_products_prerequisite;
    procedure get_input_value;
    procedure butGetProductsClick(Sender: TObject);
    procedure butExecuteClick(Sender: TObject);
    procedure butPathPcClick(Sender: TObject);
    procedure show_Results(n: Integer; Path: string);
    function setPath(Path: AnsiString): Integer;
    procedure List_item;
    procedure Clear_display;
    procedure show_Results_2(n:Integer ; FanList:String);
//    procedure btGetCalculationFanmotorClick(Sender: TObject);
//    procedure butOutputDataClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure show_Results_Calculation_Fanmotor(n : integer);
    procedure list_item_calculation_fanmotor;
    procedure FormCreate(Sender: TObject);
    procedure comBoxIdNoChange(Sender: TObject);
    procedure comBoxTypChange(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Delay(const Milliseconds: DWord);



  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  n: integer;
  s1,s2,z1,z2: shortInt;
  INPUT: TinputArrDouble;
  OUTPUT: ToutputArrDouble;
  KEY: TinPutArrChar;


implementation

{$R *.dfm}

{===============================================================================}
procedure TForm1.show_Results(n: Integer; Path: string);
var
  l: LongInt;           // l = length of the path string (number of signs) // l = die Lnge des Pfad Strings (Anzahl der Zeichen)
begin

  l := length(Path);   // Set the length of the path // Setze die Lnge des Pfads
  if Path[l] = ';' then  // if there is a semcolon at the end // Wenn ein Semikolon am Ende steht
    delete(Path, l, 1);  // delete it // lsche es
  if fileExists(Path + '\Data.sqlite') then // if the file Data.sqlite exists edErrCode will show 0 // Wenn die file Data.sqlite existiert wird edErrCode eine 0 anzeigen
  begin
    edPfad.Text := Path;
    edErrCode.Text := intToStr(n);
  end
  else    // if not edErrCode will show -1 // wenn nicht, wird edErrCode eine -1 anzeigen
  begin
    edErrCode.Text := intToStr(-1);
    edPfad.Text := 'keine Datenbank vorhanden!  ' + Path + '\Data.sqlite'
  end;
end;
{===============================================================================}
function TForm1.setPath(Path: AnsiString): Integer;
var
  l, n: LongInt;
  path_PAnsiChar: PAnsiChar;
  buffer: PAnsiChar;
begin
  n := -1;
  if fileExists(Path + '\Data.sqlite') then  // if the file Data.sqlite exists  // Wenn die file Data.sqlite existiert
  begin
    l := length(Path);                       // Set the length // Setze die Lnge
    if Path[l] <> ';' then                   // if there is no semicolon at the end // Wenn kein Semikolon am Ende steht
    Path := Path + ';';                      // Add a semicolon // Fge ein Semikolon hinzu
    GetMem(buffer, 4000);                    // Get Free Memory for the function // Hole freien Speicher fr die Funktion
    buffer := PAnsiChar(Path);               // write the path in the variable buffer (in Ansi code) // schreibe den Pfad in die Variable buffer (im Ansicode)
    n := uDLLdef.SET_XML_PATH_PC(buffer);    // integrate the database with the program // Binde die Datenbank in das Programm ein
    show_Results(n, buffer);                 // show the result // zeige das Ergebnis
  end
  else
  begin
    result := n;
  end;
end;

{===============================================================================}
procedure TForm1.butExecuteClick(Sender: TObject);
var
  BuPath: string;
  mbYesNo: Integer;
  selDirect: boolean;
  vBuPath: string;
begin
  // Call the Directory// Directory aufrufen
  selDirect := SelectDirectory('Whlen Sie den gewnschten Pfad aus.', '', BuPath);
  // If not true close the Window // Wenn nicht wahr, Fenster schlieen
  if not selDirect then
  begin
    Exit;
  end
  else
  // Open the FolderBrowserDialog // FolderBrowserDialog ffnen
  begin
    vBuPath := 'Wollen Sie den Pfad:  ' + BuPath + #13 + 'bernehmen?';
    mbYesNo := MessageDlg(vBuPath, mtConfirmation, [mbYes, mbNo], 0);
    // if 'Yes' write the path in the variable and show it in the Editbox// wenn 'Ja' Pfad in Variable schreiben und in Edit-Feld anzeigen
    if mbYesNo = ID_YES then
    begin
      edPfad.Text := BuPath
    end
    else
    // if no stop the process and show a message// Wenn 'Nein' Verarbeitung stoppen, Fehlermeldung ausgeben
    begin
      application.messageBox('Die Verarbeitung wurde abgebrochen!', ' ', 0);
    end;

  end;

end;
{===============================================================================}
procedure TForm1.butGetProductsClick(Sender: TObject);
begin
if edErrCode.Text = '0' then
  begin
  List_item;        // list the itmes // Liste die Daten auf
  end;
end;

{===============================================================================}

procedure TForm1.butPathPcClick(Sender: TObject);
  var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfgbar -1 = file ist nicht verfgbar
begin

    Path := trim(edPfad.Text); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu knnen
    n := setPath(Path);

    // if the file doesnt exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then

    ShowMessage('Pfad existiert nicht! Bitte whlen sie einen gltigen Pfad!');

end;
{===============================================================================}
procedure TForm1.Button1Click(Sender: TObject);
begin
   // Function to show or hide the outputdata in the list // Funktion um die Output Daten in der Liste anzuzeigen oder zu verstecken
   if memOutputData.Visible = true then
  begin
    memOutputData.Visible := false;
    Button1.Caption := 'Show Output Data'
  end
  else
  begin
    memOutputData.Visible := true;
    Button1.Caption := 'Hide Output Data'
  end;
end;
{===============================================================================}
procedure TForm1.Button2Click(Sender: TObject);
begin
  check_products_prerequisite;
end;

{===============================================================================}
procedure TForm1.Clear_display;
begin
  memInfo.Clear;    // delete the content of  memInfo // Lsche den Inhalt von memInfo
  comBoxIdNo.Clear; // delete the content of comBoxIdNo // Lsche den Inhalt von comBoxIdNo
  comBoxTyp.Clear;  // delete the content of comBoxTyp // Lsche den Inhalt von ComBoxTyp
end;
{===============================================================================}
procedure TForm1.comBoxIdNoChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxIdNo.ItemIndex;
  comBoxTyp.ItemIndex := n;
  edIdNo.Text := comBoxIdNo.Text;
end;
{===============================================================================}
procedure TForm1.comBoxTypChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxTyp.ItemIndex;
  comBoxIdNo.ItemIndex := n;
  edIdNo.Text := comBoxIdNo.Text;
end;
{===============================================================================}
procedure TForm1.FormCreate(Sender: TObject);
begin
  // Add some values to choose // Fge Werte zum whlen hinzu
  ComboxOption.Items.Add('0');
  ComboxOption.Items.Add('1');
  ComBoxMounting.Items.Add('0');
  ComBoxMounting.Items.Add('1');
  ComBoxMounting.Items.Add('2');
  ComBoxMounting.Items.Add('3');
end;
{===============================================================================}
procedure TForm1.List_item;
var
  fanDescription: PAnsiChar;
  n:integer;
  FanList:String;
begin
  Clear_display;                                    // Clear the contents // Lsche die Inhalte

      // PC PAnsiChar // PC AnsiChar
      GetMem(fanDescription, 4000);
      n:=uDLLdef.GET_PRODUCTS_PC(fanDescription);   // Get the Products(PC) // Hole die Produkte
      if (n <0) then                                // If Get Products Button is clicked before Setting the Database
      begin
      ShowMessage('Der Pfad wurde noch nicht gesetzt.');
      end
      else
      begin
                       // Get free Memor for the function // Hole freien Speicher fr die Funktion
      show_Results_2(n,fanDescription);             // Show the result in the Combobexes and the Memo // Zeige das Ergebnis in den Comboboxen und in der Memo
      FreeMem(fanDescription);                      // free the Memory // Gebe den Speicher frei
      end;




end;
{===============================================================================}
procedure TForm1.show_Results_2(n:Integer;       //Number of products // Anzahl der Produkte
                                          FanList:String);  //Product List // Produktliste


var
  Typen:             Array of String; // Declaration of a string array for the types // Deklaration eines string Arrays fr die Typen
  IdNo :             Array of String; // Declaration of a string array for the ID // Deklaration eines string Arrays fr die ID

  m,Anz:integer;                       // Declaration of the variable m for the number of signs after a '|' // Deklaration der Variable m fr die Anzahl der Zeichen nach einem '|'
  s:String;                            // Declaration of the variable s for the product list // Deklaration der Variable s fr die Produktliste
begin
  SetLength(Typen,n+1);
  SetLength(IdNo,n+1);
  edGefFan.Text:= IntToStr(n);
  s:=FanList; {bergebener String merken}
  Anz:=0;    //Number of types //Anzahl der Typen
  while Pos(';',S) > 0 do begin    //  Semicolon in | convert and count // Wandle Semikolon zu | um und zhle hoch
    m:=Pos(';',S);                 //position of the semicolon  // Position des Semikolons
    S[m]:= '|';
    inc(Anz);
  end;


    memInfo.Lines.Add('number of existing ventilators: '+intToStr(Anz div 2)); // show the number of elements // Zeige die Anzahl der Elemente an

  n:=1;
  while length(s)>0 do begin       // While the length is > 0 // Whrend die Lnge > 0 ist
    m:=pos('|',s);
    idno[n]:=copy(s,1,m-1);        // Copy the ID to the idno array // Kopiere die ID in das idno Array
    delete(s,1,m);                 // Delete the ID in the string // Lsche die ID in dem string
    s:=trim(s);                    // Trim the string  // Trimme den String

    m:=pos('|',s);
    Typen[n]:=copy(s,1,m-1);       // Copy the type to the type array // Kopiere die Typen in das Typen Array
    delete(s,1,m);                 // Delete the type int the string // Lsche den Typ in den string
    s:=trim(s);                    // Trim the string // Trimme den String



    memInfo.Lines.Add('No: '+intToStr(n)+'   '+idno[n]+'   '+Typen[n]); // Fill the Memo with the information // Flle die Memo mit Informationen
    comBoxIdNo.Items.Add(IdNo[n]);  // Fill the ID ComboBox with the information // Flle die ID ComboBox mit Informationen
    comBoxTyp.Items.Add(Typen[n]);  // Fill the type ComboBOx with the information // Flle die Typ ComboBox mit Informationen
    inc(n);
  end;
  if comBoxIdNo.Items.Count>0   then comBoxIdNo.ItemIndex:=0; //Show the ID of the first product // Zeige die ID vom ersten Produkt
  if comBoxTyp.Items.Count>0    then comBoxTyp.ItemIndex:=0;  //Show the type of the first product // Zeige den Typ des ersten Produkts
end;
{===============================================================================}
procedure TForm1.show_Results_Calculation_Fanmotor(n : integer);
begin
  memOutputData.Lines.Clear;
  edErrCodeFanmotor.Text := IntToStr(n);
  // Show the Data in the Edit Boxes // Zeige die Daten in den Textboxen an
  ed0.Text := FloatToStr(OUTPUT[0]);
  ed2.Text := FloatToStr(OUTPUT[2]);
  ed3.Text := FloatToStr(OUTPUT[3]);
  ed4.Text := FloatToSTr(OUTPUT[4]);
  ed5.Text := FloatToSTr(OUTPUT[5]);
  ed6.Text := FloatToSTr(OUTPUT[6]);
  ed7.Text := FloatToSTr(OUTPUT[7]);
  ed8.Text := FloatToSTr(OUTPUT[8]);
  ed9.Text := FloatToStr(OUTPUT[9]);
  ed10.Text := FloatToSTr(OUTPUT[10]);
  ed11.Text := FloatToSTr(OUTPUT[11]);
  ed12.Text := FloatToSTr(OUTPUT[12]);
  ed32.Text := FloatToSTr(OUTPUT[32]);
  ed33.Text := FloatToSTr(OUTPUT[33]);
  ed34.Text := FloatToSTr(OUTPUT[34]);
  ed35.Text := FloatToSTr(OUTPUT[35]);
  ed36.Text := FloatToSTr(OUTPUT[36]);
  ed37.Text := FloatToSTr(OUTPUT[37]);
  ed38.Text := FloatToSTr(OUTPUT[38]);
  ed39.Text := FloatToSTr(OUTPUT[39]);

  ed24.Text := FloatToSTr(OUTPUT[24]);
  ed25.Text := FloatToSTr(OUTPUT[25]);
  ed26.Text := FloatToSTr(OUTPUT[26]);
  ed27.Text := FloatToSTr(OUTPUT[27]);
  ed28.Text := FloatToSTr(OUTPUT[28]);
  ed29.Text := FloatToSTr(OUTPUT[29]);
  ed30.Text := FloatToSTr(OUTPUT[30]);
  ed31.Text := FloatToSTr(OUTPUT[31]);

  ed16.Text := FloatToSTr(OUTPUT[16]);
  ed17.Text := FloatToSTr(OUTPUT[17]);
  ed18.Text := FloatToSTr(OUTPUT[18]);
  ed19.Text := FloatToSTr(OUTPUT[19]);
  ed20.Text := FloatToSTr(OUTPUT[20]);
  ed21.Text := FloatToSTr(OUTPUT[21]);
  ed22.Text := FloatToSTr(OUTPUT[22]);
  ed23.Text := FloatToSTr(OUTPUT[23]);

  ed13.Text := FloatToStr(OUTPUT[13]);
  ed14.Text := FloatToStr(OUTPUT[14]);
  ed15.Text := FloatToSTr(OUTPUT[15]);

  ed40.Text := FloatToSTr(OUTPUT[40]);
  ed41.Text := FloatToSTr(OUTPUT[41]);
  ed42.Text := FloatToSTr(OUTPUT[42]);

  // Show the Data in the liste // Zeige die Daten in der Liste an
  memOutputData.Lines.Add('KEY:  ' + edIdNo.Text);
  memOutputData.Lines.Add ('-------------------------------------------------------');
  memOutputData.Lines.Add ( 'Input: 1=Pfa; 2=Ptot:  ' + FloatToStr(INPUT[0]));
  memOutputData.Lines.Add ( 'Input: Installationsart:  ' + FloatToStr(INPUT[1]));
  memOutputData.Lines.Add ('Input: Luftdichte Rho [kg/m^3]:  ' + FloatToStr(INPUT[2]));
  memOutputData.Lines.Add ( 'Input: Lufttemperatur T [C]:  ' + FloatToStr(INPUT[3]));
  memOutputData.Lines.Add ( 'Input: Volumenstrom [m^3/h]:  ' + FloatToStr(INPUT[5]));
  memOutputData.Lines.Add ( 'Input: Druckerhhung psf [Pa]:  ' + FloatToStr(INPUT[7]));
  memOutputData.Lines.Add ( 'Input: Druckerhhung pf [Pa]:  ' + FloatToStr(INPUT[8]));
  memOutputData.Lines.Add ( '-------------------------------------------------------');

  memOutputData.Lines.Add ('Output: Drehzahl [1/min]:  ' + FloatToStr(OUTPUT[2]));
  memOutputData.Lines.Add ('Output: Gesamtwirkunsgrad Eta_tot[%]:  ' + FloatToStr(OUTPUT[3]));
  memOutputData.Lines.Add ( 'Output: Gesamtwirkunsgrad Eta_stat[%]:  ' + FloatToStr(OUTPUT[4]));
  memOutputData.Lines.Add ( 'Output: Wirkungsgrad Motor  Eta_mot[%]:  ' + FloatToStr(OUTPUT[5]));

  memOutputData.Lines.Add ('Output: Druckerhhung psf [Pa]:  ' + FloatToStr(OUTPUT[7]));
  memOutputData.Lines.Add ('Output: Druckerhhung pf [Pa]:  ' + FloatToStr(OUTPUT[8]));
  memOutputData.Lines.Add ( 'Output: Leistungsaufnahme [W]:  ' + FloatToStr(OUTPUT[9]));
  memOutputData.Lines.Add ('Output: Stromaufnahme [A]:  ' + FloatToStr(OUTPUT[10]));
  memOutputData.Lines.Add ('Output: Anlaufstrom [A]:  ' + FloatToStr(OUTPUT[11]));
  memOutputData.Lines.Add ('Output: Anlaufzeit [s]:  ' + FloatToStr(OUTPUT[12]));
  memOutputData.Lines.Add ('Output: LW ges [dB]:  ' + FloatToStr(OUTPUT[13]));
  memOutputData.Lines.Add ('Output: Schallleistung ds [dB]:  ' + FloatToStr(OUTPUT[14]));
  memOutputData.Lines.Add ('Output: Schallleistung ss [dB]:  ' + FloatToStr(OUTPUT[15]));
  memOutputData.Lines.Add ('Output: LW ds bei 62,5 Hz [dB]:  ' + FloatToStr(OUTPUT[16]));
  memOutputData.Lines.Add ('Output: LW ds bei 125  Hz [dB]:  ' + FloatToStr(OUTPUT[17]));
  memOutputData.Lines.Add ('Output: LW ds bei 250  Hz [dB]:  ' + FloatToStr(OUTPUT[18]));
  memOutputData.Lines.Add ('Output: LW ds bei 500  Hz [dB]:  ' + FloatToStr(OUTPUT[19]));
  memOutputData.Lines.Add ('Output: LW ds bei 1000 Hz [dB]:  ' + FloatToStr(OUTPUT[20]));
  memOutputData.Lines.Add ('Output: LW ds bei 2000 Hz [dB]:  ' + FloatToStr(OUTPUT[21]));
  memOutputData.Lines.Add ('Output: LW ds bei 4000 Hz [dB]:  ' + FloatToStr(OUTPUT[22]));
  memOutputData.Lines.Add ('Output: LW ds bei 8000 Hz [dB]:  ' + FloatToStr(OUTPUT[23]));
  memOutputData.Lines.Add ('Output: LW ss bei 62,5 Hz [dB]:  ' + FloatToStr(OUTPUT[24]));
  memOutputData.Lines.Add ('Output: LW ss bei 125  Hz [dB]:  ' + FloatToStr(OUTPUT[25]));
  memOutputData.Lines.Add ('Output: LW ss bei 250  Hz [dB]:  ' + FloatToStr(OUTPUT[26]));
  memOutputData.Lines.Add ('Output: LW ss bei 500  Hz [dB]:  ' + FloatToStr(OUTPUT[27]));
  memOutputData.Lines.Add ('Output: LW ss bei 1000 Hz [dB]:  ' + FloatToStr(OUTPUT[28]));
  memOutputData.Lines.Add ('Output: LW ss bei 2000 Hz [dB]:  ' + FloatToStr(OUTPUT[29]));
  memOutputData.Lines.Add ('Output: LW ss bei 4000 Hz [dB]:  ' + FloatToStr(OUTPUT[30]));
  memOutputData.Lines.Add ('Output: LW ss bei 8000 Hz [dB]:  ' + FloatToStr(OUTPUT[31]));
  memOutputData.Lines.Add ('Output: EtaLr [%]:  ' + FloatToStr(OUTPUT[32]));
  memOutputData.Lines.Add ('Output: Wellenleistung Laufrad, Pab Mot [W]:  ' + FloatToStr(OUTPUT[33]));
  memOutputData.Lines.Add ('Einlaufdsendruck[Pa]:  ' + FloatToStr(OUTPUT[34]));
  memOutputData.Lines.Add ('Betriebsfrequenz Frequenzumformer[Hz]:  ' + FloatToStr(OUTPUT[35]));
  memOutputData.Lines.Add ('max. zulssige Betriebsfrequenz Frequenzumformer[Hz]:  ' + FloatToStr(OUTPUT[36]));
  memOutputData.Lines.Add ('Minimal zulssiger Abstand Ventilator-Gehusewand[mm]:  ' + FloatToStr(OUTPUT[37]));
  memOutputData.Lines.Add ('Steuerspannung [V]:  ' + FloatToStr(OUTPUT[38]));
  memOutputData.Lines.Add ('Elektrische Leistungsaufnahme FW [kW]:  ' + FloatToStr(OUTPUT[39]));
  memOutputData.Lines.Add ('Output: Schalleistung-gesamt A-bewertet [dBA]:  ' + FloatToStr(OUTPUT[40]));
  memOutputData.Lines.Add ('Output: Schalleistung-Druckseite A-bewertet [dB]:  ' + FloatToStr(OUTPUT[41]));
  memOutputData.Lines.Add ('Output: Schalleistung-Saugseite A-bewertetdbA [dB]:  ' + FloatToStr(OUTPUT[42]));
  memOutputData.Lines.Add ('Output: Drehzahl [1/min]:  ' + FloatToStr(OUTPUT[43]));
  memOutputData.Lines.Add ('Output: Fehlerparameter:  ' + FloatToStr(OUTPUT[0]));
end;



{===============================================================================}
procedure TForm1.get_input_value;
var
i : integer;
ID_Number : AnsiString;
begin
  for i := 0 to 50 do
  begin
    INPUT[i] := 0;
  end;
  i := -1;

  // Check if the input is numerary. If it is numerary Add it to the INPUT Array . If there is no content add a predefined content
  // berprfe, ob der Input nummerisch ist. Wenn er nummerisch ist fge ihn dem INPUT Array hinzu // Wenn kein Inhalt steht fge einen voreingestellten Inhalt hinzu
  try
  if ComboxOption.Text <> '' then
  begin
  INPUT[i+1] := StrToFloat(ComboxOption.Text);
  end
  else
  begin
  INPUT[i+1] := 0;
  ComboxOption.Text := '0';
  end;
  inc(i);
  if ComBoxMounting.Text <> '' then
  begin
  INPUT[i+1] := StrToFloat(ComBoxMounting.Text);
  end
  else
  begin
  INPUT[i+1] := 0;
  ComBoxMounting.Text := '0';
  end;
  inc(i);
  if edAirDensity.Text <> '' then
  begin
  INPUT[i+1] := StrToFloat(edAirDensity.Text);
  end
  else
  begin
  INPUT[i+1] := 0;
  edAirDensity.Text := '0';
  end;
  inc(i);
  if edAirTemperature.Text <> '' then
  begin
  INPUT[i+1] := StrToFloat(edAirTemperature.Text);
  end
  else
  begin
  INPUT[i+1] := 22;
  edAirTemperature.Text := '22';
  end;
  inc(i);
  if edAltitude.Text <> '' then
  begin
  INPUT[i+1] := StrToFloat(edAltitude.Text);
  end
  else
  begin
  INPUT[i+1] := 333;
  edAltitude.Text := '333';
  end;
  inc(i);
  if edAirVolume.Text <> '' then
  begin
  INPUT[i+1] := StrToFloat(edAirVolume.Text);
  end
  else
  begin
  INPUT[i+1] := 0;
  edAirVolume.Text := '0';
  end;
  inc(i);
  if edSpeedStep.Text <> '' then
  begin
  INPUT[i+1] := StrToFloat(edSpeedStep.Text);
  end
  else
  begin
  INPUT[i+1] := 1;
  edSpeedStep.Text := '1';
  end;
  inc(i);
  if edPressureDifferenceStatic.Text <> '' then
  begin
  INPUT[i+1] := StrToFloat(edPressureDifferenceStatic.Text);
  end
  else
  begin
  INPUT[i+1] := 100;
  edPressureDifferenceStatic.Text := '100';
  end;
  inc(i);
  if edPressureDifferenceTotal.Text <> '' then
  begin
  INPUT[i+1] := StrToFloat(edPressureDifferenceTotal.Text);
  end
  else
  begin
  INPUT[i+1] := 100;
  edPressureDifferenceTotal.Text := '100';
  end;

  except
  on E : Exception do
      ShowMessage('Only numerary input accepted! Wrong input value!');

  end;
  edIdNo.Text := comBoxIdNo.Text;
  ID_Number := edIdNo.Text;
  for i := 0 to 500 do            // Copy the ID in the Char Array // Kopiere die ID in das Char Array
  begin
    KEY[i] := ID_Number[i+1];
  end;
end;

{===============================================================================}
procedure TForm1.list_item_calculation_fanmotor;
begin
n := 99;
n := GET_CALCULATION_FANMOTOR(s1,s2,INPUT,KEY,z1,z2,OUTPUT); // Get the Data and save it in the OUTPUT Array // Hole die Daten und speichere sie in das OUTPUT Array
show_Results_Calculation_Fanmotor(n);
end;

procedure TForm1.check_products_prerequisite;
var
density : double;
begin
  //If a product is selected and database is bound, then proceed // Wenn ein Produkt gewhlt wurde und die Datenbank eingebunden wurde, dann fahre fort
  if (edGefFan.Text <> '') and (edErrCode.Text = '0') then
  begin
  // Check if density is correct // berprfe ob die Dichte in Ordnung ist
  try
  density := StrToFloat(edAirDensity.Text);
  except
  ShowMessage('density not numerary!');

  end;
    if (density > 1.46) or (density < 0.59) then
    begin
    ShowMessage('Density not valid! Allowed values are from [0.6] to [1.45]. For floating values please check if youve wrote a comma [,] or dot [.] according to your region!');
    end
    else
    begin
      get_input_value;             // function to get the input value // Funktion, um die Input Daten zu holen
      list_item_calculation_fanmotor;   // Function to show the Data // Funktion, um die Daten anzuzeigen
    end;
    end;
  end;

  procedure TForm1.Delay(const Milliseconds: DWord);
var
  FirstTickCount: DWord;
begin
  FirstTickCount := GetTickCount;
  while ((GetTickCount - FirstTickCount) < Milliseconds) do
    Application.ProcessMessages;
end;

  procedure TForm1.Timer1Timer(Sender: TObject);
var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfgbar -1 = file ist nicht verfgbar
begin

Timer1.Enabled := false;
 if ParamCount > 0 then
begin
   if paramCount = 1 then
  begin




    Path := trim(ParamStr(1)); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu knnen
    n := setPath(Path);
    edPfad.Text := ParamStr(1);
    // if the file doesnt exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then
    begin
    ShowMessage('Pfad existiert nicht! Bitte whlen sie einen gltigen Pfad!');
    end;

      Delay(1000);
      List_item;        // list the itmes // Liste die Daten auf
      Delay(1000);
      check_products_prerequisite;

  end;
end;


end;

end.
