﻿unit GETCALCULATIONFANALONEPCunit;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.Filectrl,
  Vcl.ComCtrls, Vcl.StdCtrls;
type
  TForm1 = class(TForm)
    Panel1: TPanel;
    butPathPc: TButton;
    edErrCode: TEdit;
    edPfad: TEdit;
    butExecute: TButton;
    Label1: TLabel;
    Label2: TLabel;
    memInfo: TMemo;
    edGefFan: TEdit;
    comBoxIdNo: TComboBox;
    comBoxTyp: TComboBox;
    butGetProducts: TButton;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Panel3: TPanel;
    Label6: TLabel;
    lblFA_ID: TLabel;
    Label212: TLabel;
    Label7: TLabel;
    lblFA_Air_Density: TLabel;
    lblFanAloneAirDensityUnit: TLabel;
    lblFA_Altitude: TLabel;
    lblFA_AltitudeUnit: TLabel;
    lblFa_AirTemp: TLabel;
    lblFA_AirTempUnit: TLabel;
    lblFA_PressureDiff: TLabel;
    lblFA_PressureDiffUnit: TLabel;
    lblFA_AirVolume: TLabel;
    Label8: TLabel;
    lblFA_SupplyVoltage: TLabel;
    lblFA_SupplyVoltageUnit: TLabel;
    PageControl1: TPageControl;
    tla: TTabSheet;
    Label10: TLabel;
    Label116: TLabel;
    Label117: TLabel;
    Label115: TLabel;
    Label111: TLabel;
    Label109: TLabel;
    Label108: TLabel;
    Label110: TLabel;
    Label112: TLabel;
    Label113: TLabel;
    Label114: TLabel;
    Label164: TLabel;
    Label_1_Vpkt_m3_s: TLabel;
    Label165: TLabel;
    edt_Lwds62_5_Soll: TEdit;
    edt_Lwss62_5_Soll: TEdit;
    edt_Lwds125_Soll: TEdit;
    edt_Lwss125_Soll: TEdit;
    edt_Lwds250_Soll: TEdit;
    edt_Lwss250_Soll: TEdit;
    edt_Lwds500_Soll: TEdit;
    edt_Lwss500_Soll: TEdit;
    edt_Lwds1000_Soll: TEdit;
    edt_Lwss1000_Soll: TEdit;
    edt_Lwds2000_Soll: TEdit;
    edt_Lwss2000_Soll: TEdit;
    edt_Lwds4000_Soll: TEdit;
    edt_Lwss4000_Soll: TEdit;
    edt_Lwds8000_Soll: TEdit;
    edt_Lwss8000_Soll: TEdit;
    edt_LwAdsSoll: TEdit;
    edt_LwAssSoll: TEdit;
    edt_LwASoll: TEdit;
    Button1: TButton;
    Edit_ErrCode_GET_CALCULATION_FAN_ALONE: TEdit;
    EditIdNo_1: TEdit;
    ComboBoxt_Druck_stat_tot: TComboBox;
    ComboBox_Inst_typ: TComboBox;
    edt_Roh0: TEdit;
    edt_hoehe: TEdit;
    edt_T0: TEdit;
    edt_PfaSoll: TEdit;
    edt_VpktSoll: TEdit;
    edt_U: TEdit;
    memoInfo_GET_CALCULATION_FAN_ALONE: TMemo;
    TabSheet1: TTabSheet;
    Label9: TLabel;
    Label78: TLabel;
    Label77: TLabel;
    Label79: TLabel;
    Lbl_UstSoll: TLabel;
    Label74: TLabel;
    Label73: TLabel;
    Label76: TLabel;
    Label75: TLabel;
    Label5_: TLabel;
    Label80: TLabel;
    Label97: TLabel;
    edt_VpktSoll_: TEdit;
    edt_PfaSoll_: TEdit;
    edt_PtotSoll: TEdit;
    edt_EtaMSoll: TEdit;
    edt_MdSoll: TEdit;
    edt_UstSoll: TEdit;
    edt_EtaSoll: TEdit;
    edt_ISoll: TEdit;
    edt_P1Soll: TEdit;
    edt_nSoll: TEdit;
    mListe: TMemo;
    Timer1: TTimer;
    PageControl2: TPageControl;
    TabSheet2: TTabSheet;
    procedure butPathPcClick(Sender: TObject);
    procedure butExecuteClick(Sender: TObject);
    procedure show_Results(n: Integer; Path : string);
    function setPath(Path: AnsiString): Integer;
    procedure butGetProductsClick(Sender: TObject);
    procedure Clear_display;
    procedure List_item;
    procedure show_Results_2(n:Integer; FanList:String);
    procedure Button1Click(Sender: TObject);
    procedure show_Results_GET_CALCULATION_FAN_ALONE(n:Integer;fanDescription:PAnsiChar);
    procedure Get_Input_Value(var Input_data:String);
    procedure comBoxIdNoChange(Sender: TObject);
    procedure comBoxTypChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Delay(const Milliseconds: DWord);



  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation
uses uDLLdef;
{$R *.dfm}
{===============================================================================}
procedure TForm1.butExecuteClick(Sender: TObject);
var
  BuPath: string;
  mbYesNo: Integer;
  selDirect: boolean;
  vBuPath: string;
begin
  // Call the Directory// Directory aufrufen
  selDirect := SelectDirectory('Wählen Sie den gewünschten Pfad aus.', '', BuPath);
  // If not true close the Window // Wenn nicht wahr, Fenster schließen
  if not selDirect then
  begin
    Exit;
  end
  else
  // Open the FolderBrowserDialog // FolderBrowserDialog öffnen
  begin
    vBuPath := 'Wollen Sie den Pfad:  ' + BuPath + #13 + 'übernehmen?';
    mbYesNo := MessageDlg(vBuPath, mtConfirmation, [mbYes, mbNo], 0);
    // if 'Yes' write the path in the variable and show it in the Editbox// wenn 'Ja' Pfad in Variable schreiben und in Edit-Feld anzeigen
    if mbYesNo = ID_YES then
    begin
      edPfad.Text := BuPath
    end
    else
    // if no stop the process and show a message// Wenn 'Nein' Verarbeitung stoppen, Fehlermeldung ausgeben
    begin
      application.messageBox('Die Verarbeitung wurde abgebrochen!', ' ', 0);
    end;

  end;

end;
{===============================================================================}
procedure TForm1.butPathPcClick(Sender: TObject);
var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfügbar -1 = file ist nicht verfügbar
begin

    Path := trim(edPfad.Text); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu können
    n := setPath(Path);

    // if the file doesn´t exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then

    ShowMessage('Pfad existiert nicht! Bitte wählen sie einen gültigen Pfad!');
end;
{===============================================================================}
procedure TForm1.show_Results(n: Integer; Path: string);
var
  l: LongInt;           // l = length of the path string (number of signs) // l = die Länge des Pfad Strings (Anzahl der Zeichen)
begin

  l := length(Path);   // Set the length of the path // Setze die Länge des Pfads
  if Path[l] = ';' then  // if there is a semcolon at the end // Wenn ein Semikolon am Ende steht
    delete(Path, l, 1);  // delete it // lösche es
  if fileExists(Path + '\Data.sqlite') then // if the file Data.sqlite exists edErrCode will show 0 // Wenn die file Data.sqlite existiert wird edErrCode eine 0 anzeigen
  begin
    edPfad.Text := Path;
    edErrCode.Text := intToStr(n);
  end
  else    // if not edErrCode will show -1 // wenn nicht, wird edErrCode eine -1 anzeigen
  begin
    edErrCode.Text := intToStr(-1);
    edPfad.Text := 'keine Datenbank vorhanden!  ' + Path + '\Data.sqlite'
  end;
end;
{===============================================================================}
function TForm1.setPath(Path: AnsiString): Integer;
var
  l, n: LongInt;
  path_PAnsiChar: PAnsiChar;
  buffer: PAnsiChar;
begin
  n := -1;
  if fileExists(Path + '\Data.sqlite') then  // if the file Data.sqlite exists  // Wenn die file Data.sqlite existiert
  begin
    l := length(Path);                       // Set the length // Setze die Länge
    if Path[l] <> ';' then                   // if there is no semicolon at the end // Wenn kein Semikolon am Ende steht
    Path := Path + ';';                      // Add a semicolon // Füge ein Semikolon hinzu
    GetMem(buffer, 4000);                    // Get Free Memory for the function // Hole freien Speicher für die Funktion
    buffer := PAnsiChar(Path);               // write the path in the variable buffer (in Ansi code) // schreibe den Pfad in die Variable buffer (im Ansicode)
    n := uDLLdef.SET_XML_PATH_PC(buffer);    // integrate the database with the program // Binde die Datenbank in das Programm ein
    show_Results(n, buffer);                 // show the result // zeige das Ergebnis
  end
  else
  begin
    result := n;
  end;
end;
{===============================================================================}
procedure TForm1.butGetProductsClick(Sender: TObject);
begin
  if edErrCode.Text = '0' then
  begin
  List_item;          // list the itmes // Liste die Daten auf
  end;
end;
{===============================================================================}
procedure TForm1.Clear_display;
begin
  memInfo.Clear;    // delete the content of  memInfo // Lösche den Inhalt von memInfo
  comBoxIdNo.Clear; // delete the content of comBoxIdNo // Lösche den Inhalt von comBoxIdNo
  comBoxTyp.Clear;  // delete the content of comBoxTyp // Lösche den Inhalt von ComBoxTyp
end;
{===============================================================================}
procedure TForm1.comBoxIdNoChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxIdNo.ItemIndex;
  comBoxTyp.ItemIndex := n;
  EditIdNo_1.Text := comBoxIdNo.Text;
end;
{===============================================================================}
procedure TForm1.comBoxTypChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxTyp.ItemIndex;
  comBoxIdNo.ItemIndex := n;
  EditIdNo_1.Text := comBoxIdNo.Text;
end;
procedure TForm1.FormCreate(Sender: TObject);
begin
 ComboBoxt_Druck_stat_tot.Items.Add('0');
 ComboBoxt_Druck_stat_tot.Items.Add('1');
 ComboBox_Inst_typ.Items.Add('0');
 ComboBox_Inst_typ.Items.Add('1');
 ComboBox_Inst_typ.Items.Add('2');
 ComboBox_Inst_typ.Items.Add('3');
end;

{===============================================================================}
procedure TForm1.List_item;
var
  fanDescription: PAnsiChar;
  n:integer;
  FanList:String;
begin
  Clear_display;                                    // Clear the contents // Lösche die Inhalte

      // PC PAnsiChar // PC AnsiChar
       GetMem(fanDescription, 4000);                 // Get free Memory for the function // Hole freien Speicher für die Funktion
       n:=uDLLdef.GET_PRODUCTS_PC(fanDescription);   // Get the Products(PC) // Hole die Produkte
      if (n <0) then                                 // If Get Products Button is clicked before Setting the Database
      begin
      ShowMessage('Der Pfad wurde noch nicht gesetzt.');
      end
      else
      begin

      show_Results_2(n,fanDescription);             // Show the result in the Combobexes and the Memo // Zeige das Ergebnis in den Comboboxen und in der Memo
      FreeMem(fanDescription);                      // free the Memory // Gebe den Speicher frei
      end;
end;
{===============================================================================}
procedure TForm1.show_Results_2(n:Integer;       //Number of products // Anzahl der Produkte
                                          FanList:String);  //Product List // Produktliste


var
  Typen:             Array of String; // Declaration of a string array for the types // Deklaration eines string Arrays für die Typen
  IdNo :             Array of String; // Declaration of a string array for the ID // Deklaration eines string Arrays für die ID

  m,Anz:integer;                       // Declaration of the variable m for the number of signs after a '|' // Deklaration der Variable m für die Anzahl der Zeichen nach einem '|'
  s:String;                            // Declaration of the variable s for the product list // Deklaration der Variable s für die Produktliste
begin
  SetLength(Typen,n+1);
  SetLength(IdNo,n+1);
  edGefFan.Text:= IntToStr(n);
  s:=FanList; {übergebener String merken}
  Anz:=0;    //Number of types //Anzahl der Typen
  while Pos(';',S) > 0 do begin    //  Semicolon in | convert and count // Wandle Semikolon zu | um und zähle hoch
    m:=Pos(';',S);                 //position of the semicolon  // Position des Semikolons
    S[m]:= '|';
    inc(Anz);
  end;


    memInfo.Lines.Add('number of existing ventilators: '+intToStr(Anz div 2)); // show the number of elements // Zeige die Anzahl der Elemente an

  n:=1;
  while length(s)>0 do begin       // While the length is > 0 // Während die Länge > 0 ist
    m:=pos('|',s);
    idno[n]:=copy(s,1,m-1);        // Copy the ID to the idno array // Kopiere die ID in das idno Array
    delete(s,1,m);                 // Delete the ID in the string // Lösche die ID in dem string
    s:=trim(s);                    // Trim the string  // Trimme den String

    m:=pos('|',s);
    Typen[n]:=copy(s,1,m-1);       // Copy the type to the type array // Kopiere die Typen in das Typen Array
    delete(s,1,m);                 // Delete the type int the string // Lösche den Typ in den string
    s:=trim(s);                    // Trim the string // Trimme den String



    memInfo.Lines.Add('No: '+intToStr(n)+'   '+idno[n]+'   '+Typen[n]); // Fill the Memo with the information // Fülle die Memo mit Informationen
    comBoxIdNo.Items.Add(IdNo[n]);  // Fill the ID ComboBox with the information // Fülle die ID ComboBox mit Informationen
    comBoxTyp.Items.Add(Typen[n]);  // Fill the type ComboBOx with the information // Fülle die Typ ComboBox mit Informationen
    inc(n);
  end;
  if comBoxIdNo.Items.Count>0   then comBoxIdNo.ItemIndex:=0; //Show the ID of the first product // Zeige die ID vom ersten Produkt
  if comBoxTyp.Items.Count>0    then comBoxTyp.ItemIndex:=0;  //Show the type of the first product // Zeige den Typ des ersten Produkts
end;
{===============================================================================}
procedure XStrToCArr(text: AnsiString; var tmptext: PAnsiChar);
begin
  tmptext:=PAnsiChar(text);
end;
{===============================================================================}
procedure TForm1.Button1Click(Sender: TObject);
var
  fanDescription: PAnsiChar;
  buffer:         PAnsiChar;
  Input_data:     String;
  n:integer;
begin
 if (edGefFan.Text <> '') and (edErrCode.Text = '0') then
 begin
  Get_Input_Value(Input_data);
  //Input_data:='125805;;;1,2;;;318;0,55556;;' ;
  XStrToCArr(Input_data, fanDescription);
  GetMem(buffer, 4000);                                              // Get Memory for the function // Hole Speicher für die Funktion
  n:=uDLLdef.GET_CALCULATION_FAN_ALONE_PC(fanDescription,buffer);    //Berechnung über die DLL // Calculation on the DLL
  show_Results_GET_CALCULATION_FAN_ALONE(n,buffer);                  // Show the result // Zeige das Ergebnis
  FreeMem(buffer);                                                   // Free the Memory // Gib den Speicher wieder frei
  end;
end;
{===============================================================================}
procedure TForm1.Get_Input_Value(var Input_data:String);
begin
  Input_data:=  comBoxIdNo.Text             + ';' +    // IdNo as reference to the selected fan //IdNo als Referenz zum ausgewälten Lüfter
                ComboBoxt_Druck_stat_tot.Text + ';' +  // 0 = static pressure 1 = total pressure //0=statischer Druck; 1=total Druck
                ComboBox_Inst_Typ.Text        + ';' +  //[installationType(0:DIDO,1:FIDO,2:DIFO,3:FIFO)]; // Installationstyp (0:DIDO,1:FIDO,2:DIFO,3:FIFO)
                edt_Roh0.Text                 + ';' +  //[airDensity(kg/m³)//Luftdichte
                edt_hoehe.Text                + ';' +  //[altitude(m)]//Höhe über NN
                edt_T0.Text                   + ';' +  //[airTemperature(°C)]//Lufttemperatur
                edt_PfaSoll.Text              + ';' +  //requiredPressure(Pa);//Druck des vorgegebenen AP
                FormatFloat('#0.00000',(StrToFloat(edt_VpktSoll.Text)/3600)) + ';' +   //flowRate(m³/h);//Volumenstrom des vorgeg. AP
                edt_U.Text + ';';
  // delete the content of the Memo and Add the new content // Lösche den Inhalt der Memo und fürge einen neuen Inhalt hinzu
  MemoInfo_GET_CALCULATION_FAN_ALONE.Clear;
  MemoInfo_GET_CALCULATION_FAN_ALONE.Lines.Add('fanDescription='+Input_data);
end;
{===============================================================================}
procedure TForm1.show_Results_GET_CALCULATION_FAN_ALONE(n:Integer;fanDescription:PAnsiChar);
var

  Input_data,tmpDescript: String;               // Declaration of the variable Input_data and tmpDescript  for the product data // Deklaration der Variable Input_Data und tmpDescript für die Produktdaten
  i:integer;                                    // Counter variable i
  theText : Array of string;
  j: integer;
begin
  SetLength(theText,1000);
  theText[0] := '        (n [1/min])';;
  theText[1] := '            (Pe [W])';
  theText[2] := '              (I [A])';
  theText[3] := '              (ηe [%])';
  theText[4] := '              (U control [V])';
  theText[5] := '              (Md [Ncm])';
  theText[6] := '              (ηo [%])';
  theText[7] := '            (LwA(in+out)[dBA])';
  theText[8] := '            (LwA(in))[dBA]';
  theText[9] := '            (LwA(out)[dBA]';
  theText[10] := '            (Lw_62.5_Hz (in) [dB])';
  theText[11] := '            (Lw_125__Hz (in) [dB])';
  theText[12] := '            (Lw_250__Hz (in) [dB])';
  theText[13] := '            (Lw_500__Hz (in) [dB])';
  theText[14] := '            (Lw_1000_Hz (in) [dB])';
  theText[15] := '            (Lw_2000_Hz (in) [dB])';
  theText[16] := '            (Lw_4000_Hz (in) [dB])';
  theText[17] := '            (Lw_8000_Hz (in) [dB])';
  theText[18] := '            (Lw_62.5_Hz (out) [dB])';
  theText[19] := '            (Lw_125__Hz (out) [dB])';
  theText[20] := '            (Lw_250__Hz (out) [dB])';
  theText[21] := '            (Lw_500__Hz (out) [dB])';
  theText[22] := '            (Lw_1000_Hz (out) [dB])';
  theText[23] := '            (Lw_2000_Hz (out) [dB])';
  theText[24] := '            (Lw_4000_Hz (out) [dB])';
  theText[25] := '            (Lw_8000_Hz (out) [dB])';
  theText[26] := '            (pf[Pa])';
  theText[27] := '            (psf[Pa])';
  theText[28] := '            (qv [m³/h])';

  EditIdNo_1.Text := comBoxIdNo.Text;           // Copy the ID from the ComboBox to the Editbox
  i:= 0;

  tmpDescript:= '';
  while ((fanDescription[i] <> #00)) do begin  // As long as there is a content in fanDescription // Solange sich ein Inhalt in fanDescription befindet
    if fanDescription[i] <> ';' then           //if there is no semicolon add the Sign to tmpDescript // Wenn kein Semikolon, dann füge das Zeichen zu tmpDescript hinzu
    begin
      tmpDescript:= tmpDescript + fanDescription[i]
    end
    else  // If there is a semicolon tmpDescript := tmpDescript + DC3 + DLE
    begin
      tmpDescript:= tmpDescript + theText[j] + #13 + #10;
      Inc(j);
    end;
    Inc(i);
  end;
  Edit_ErrCode_GET_CALCULATION_FAN_ALONE.Text:= IntToStr(n);
  edt_PfaSoll_.Text :=edt_PfaSoll.Text;  //requiredPressure(Pa)//Druck des vorgegebenen AP
  edt_VpktSoll_.Text:=edt_VpktSoll.Text; //flowRate(m³/h)//Volumenstrom des vorgeg. AP
  //Write the product data in the Memo and edit boxes // Schreibe die Produkt Daten in die Memo und die Edit Boxen
  mListe.Text:= tmpDescript;
  i:=mListe.Lines.Count;

  n:=0;
  if n<i then begin edt_nSoll.Text:=         mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_P1Soll.Text:=        mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_ISoll.Text:=         mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_EtaSoll.Text:=       mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_UstSoll.Text:=       mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_MdSoll.Text:=        mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_EtaMSoll.Text:=      mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_LwASoll.Text:=       mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_LwAssSoll.Text:=     mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_LwAdsSoll.Text:=     mListe.Lines[n]; inc(n); end;

  if n<i then begin edt_Lwss62_5_Soll.Text:= mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwss125_Soll.Text:=  mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwss250_Soll.Text:=  mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwss500_Soll.Text:=  mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwss1000_Soll.Text:= mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwss2000_Soll.Text:= mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwss4000_Soll.Text:= mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwss8000_Soll.Text:= mListe.Lines[n]; inc(n); end;

  if n<i then begin edt_Lwds62_5_Soll.Text:= mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwds125_Soll.Text:=  mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwds250_Soll.Text:=  mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwds500_Soll.Text:=  mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwds1000_Soll.Text:= mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwds2000_Soll.Text:= mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwds4000_Soll.Text:= mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_Lwds8000_Soll.Text:= mListe.Lines[n]; inc(n); end;
  if n<i then begin edt_PtotSoll.Text     := mListe.Lines[n]; inc(n); end;



end;

procedure TForm1.Delay(const Milliseconds: DWord);
var
  FirstTickCount: DWord;
begin
  FirstTickCount := GetTickCount;
  while ((GetTickCount - FirstTickCount) < Milliseconds) do
    Application.ProcessMessages;
end;

procedure TForm1.Timer1Timer(Sender: TObject);

var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfügbar -1 = file ist nicht verfügbar
begin

Timer1.Enabled := false;
 if ParamCount > 0 then
begin
   if paramCount = 1 then
  begin




    Path := trim(ParamStr(1)); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu können
    n := setPath(Path);
    edPfad.Text := ParamStr(1);
    // if the file doesn´t exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then
    begin
    ShowMessage('Pfad existiert nicht! Bitte wählen sie einen gültigen Pfad!');
    end;

      Delay(1000);
      List_item;        // list the itmes // Liste die Daten auf
      Delay(1000);
      Button1Click(Sender);

  end;
end;


end;



end.

