unit GET_STANDARDS_FANMOTORunit;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.Filectrl,
  Vcl.ComCtrls, Vcl.StdCtrls,uDLLdef;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    butPathPc: TButton;
    edErrCode: TEdit;
    edPfad: TEdit;
    butExecute: TButton;
    butGetProducts: TButton;
    edGefFan: TEdit;
    comBoxIdNo: TComboBox;
    comBoxTyp: TComboBox;
    memInfo: TMemo;
    Panel2: TPanel;
    btGetStandardsFanmotor: TButton;
    Label3: TLabel;
    edErrCodeStandards: TEdit;
    Label4: TLabel;
    edIdNo: TEdit;
    Label5: TLabel;
    Label6: TLabel;
    edSize: TEdit;
    Label7: TLabel;
    edTyp: TEdit;
    Label8: TLabel;
    edIsoclass: TEdit;
    edProtection: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Edit9: TEdit;
    Edit10: TEdit;
    Edit11: TEdit;
    Edit12: TEdit;
    Edit13: TEdit;
    Edit14: TEdit;
    Edit15: TEdit;
    Edit16: TEdit;
    Edit17: TEdit;
    Edit18: TEdit;
    Edit19: TEdit;
    Edit20: TEdit;
    Edit0: TEdit;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Label29: TLabel;
    Label30: TLabel;
    Btoutput: TButton;
    RichTextBoxOutputData: TMemo;
    Label32: TLabel;
    Label33: TLabel;
    Label31: TLabel;
    Timer1: TTimer;
    procedure butPathPcClick(Sender: TObject);
    procedure butExecuteClick(Sender: TObject);
    procedure butGetProductsClick(Sender: TObject);
    procedure show_Results_2(n:Integer; FanList:string);
    procedure show_Results(n: Integer; Path: string);
    function setPath(Path: AnsiString): Integer;
    procedure List_item;
    procedure Clear_display;
    procedure check_product_prerequisite;
    procedure btGetStandardsFanmotorClick(Sender: TObject);
    procedure list_item_standards_fanmotor(OUTPUT : ToutputArrDouble);
    function get_input_value : ToutputArrDouble;
    procedure BtoutputClick(Sender: TObject);
    procedure comBoxIdNoChange(Sender: TObject);
    procedure comBoxTypChange(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Delay(const Milliseconds: DWord);

  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

//type
//TinputArrDouble= Array[0..50] of double;
//ToutputArrDouble= Array[0..50] of double;

//TinPutArrChar=   array[0..500] of AnsiChar;
//TinPutArrChar=   array[0..500] of AnsiChar;
var
  Form1: TForm1;
  n : LongInt;
  OUTPUT : ToutputArrDouble;
  KEY,TYP,ISOCLASS,PROTECTION,SIZE : TinPutArrChar;
  //SIZE : TinPutArrChar;
  z1,z2 : ShortInt;

implementation

//uses uDLLdef;
{$R *.dfm}

{===============================================================================}
procedure TForm1.butExecuteClick(Sender: TObject);
var
  BuPath: string;
  mbYesNo: Integer;
  selDirect: boolean;
  vBuPath: string;
begin
  // Call the Directory// Directory aufrufen
  selDirect := SelectDirectory('Whlen Sie den gewnschten Pfad aus.', '', BuPath);
  // If not true close the Window // Wenn nicht wahr, Fenster schlieen
  if not selDirect then
  begin
    Exit;
  end
  else
  // Open the FolderBrowserDialog // FolderBrowserDialog ffnen
  begin
    vBuPath := 'Wollen Sie den Pfad:  ' + BuPath + #13 + 'bernehmen?';
    mbYesNo := MessageDlg(vBuPath, mtConfirmation, [mbYes, mbNo], 0);
    // if 'Yes' write the path in the variable and show it in the Editbox// wenn 'Ja' Pfad in Variable schreiben und in Edit-Feld anzeigen
    if mbYesNo = ID_YES then
    begin
      edPfad.Text := BuPath
    end
    else
    // if no stop the process and show a message// Wenn 'Nein' Verarbeitung stoppen, Fehlermeldung ausgeben
    begin
      application.messageBox('Die Verarbeitung wurde abgebrochen!', ' ', 0);
    end;

  end;

end;
{===============================================================================}
procedure TForm1.butPathPcClick(Sender: TObject);
var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfgbar -1 = file ist nicht verfgbar
begin

    Path := trim(edPfad.Text); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu knnen
    n := setPath(Path);

    // if the file doesnt exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then

    ShowMessage('Pfad existiert nicht! Bitte whlen sie einen gltigen Pfad!');
end;
{===============================================================================}
procedure TForm1.show_Results(n: Integer; Path: string);
var
  l: LongInt;           // l = length of the path string (number of signs) // l = die Lnge des Pfad Strings (Anzahl der Zeichen)
begin

  l := length(Path);   // Set the length of the path // Setze die Lnge des Pfads
  if Path[l] = ';' then  // if there is a semcolon at the end // Wenn ein Semikolon am Ende steht
    delete(Path, l, 1);  // delete it // lsche es
  if fileExists(Path + '\Data.sqlite') then // if the file Data.sqlite exists edErrCode will show 0 // Wenn die file Data.sqlite existiert wird edErrCode eine 0 anzeigen
  begin
    edPfad.Text := Path;
    edErrCode.Text := intToStr(n);
  end
  else    // if not edErrCode will show -1 // wenn nicht, wird edErrCode eine -1 anzeigen
  begin
    edErrCode.Text := intToStr(-1);
    edPfad.Text := 'keine Datenbank vorhanden!  ' + Path + '\Data.sqlite'
  end;
end;
{===============================================================================}
function TForm1.setPath(Path: AnsiString): Integer;
var
  l, n: LongInt;
  path_PAnsiChar: PAnsiChar;
  buffer: PAnsiChar;
begin
  n := -1;
  if fileExists(Path + '\Data.sqlite') then  // if the file Data.sqlite exists  // Wenn die file Data.sqlite existiert
  begin
    l := length(Path);                       // Set the length // Setze die Lnge
    if Path[l] <> ';' then                   // if there is no semicolon at the end // Wenn kein Semikolon am Ende steht
    Path := Path + ';';                      // Add a semicolon // Fge ein Semikolon hinzu
    GetMem(buffer, 4000);                    // Get Free Memory for the function // Hole freien Speicher fr die Funktion
    buffer := PAnsiChar(Path);               // write the path in the variable buffer (in Ansi code) // schreibe den Pfad in die Variable buffer (im Ansicode)
    n := uDLLdef.SET_XML_PATH_PC(buffer);    // integrate the database with the program // Binde die Datenbank in das Programm ein
    show_Results(n, buffer);                 // show the result // zeige das Ergebnis

  end
  else
  begin
    result := n;
  end;
end;
{===============================================================================}
procedure TForm1.butGetProductsClick(Sender: TObject);
begin
if edErrCode.Text = '0' then
  begin
  List_item;        // list the itmes // Liste die Daten auf
  end;
end;
{===============================================================================}
procedure TForm1.Clear_display;
begin
  memInfo.Clear;    // delete the content of  memInfo // Lsche den Inhalt von memInfo
  comBoxIdNo.Clear; // delete the content of comBoxIdNo // Lsche den Inhalt von comBoxIdNo
  comBoxTyp.Clear;  // delete the content of comBoxTyp // Lsche den Inhalt von ComBoxTyp
end;

{===============================================================================}
procedure TForm1.comBoxIdNoChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxIdNo.ItemIndex;
  comBoxTyp.ItemIndex := n;
  edIdNo.Text := comBoxIdNo.Text;
end;
{===============================================================================}


{===============================================================================}
procedure TForm1.List_item;
var
  fanDescription: PAnsiChar;
  n:integer;
  FanList:String;
begin
  Clear_display;                                    // Clear the contents // Lsche die Inhalte

      // PC PAnsiChar // PC AnsiChar
      GetMem(fanDescription, 4000);   // Get free Memor for the function // Hole freien Speicher fr die Funktion
      n:=uDLLdef.GET_PRODUCTS_PC(fanDescription);   // Get the Products(PC) // Hole die Produkte
      if (n <0) then                                // If Get Products Button is clicked before Setting the Database
      begin
      ShowMessage('Der Pfad wurde noch nicht gesetzt.');
      end
      else
      begin

      show_Results_2(n,fanDescription);             // Show the result in the Combobexes and the Memo // Zeige das Ergebnis in den Comboboxen und in der Memo
      FreeMem(fanDescription);                      // free the Memory // Gebe den Speicher frei
      end;




end;
{===============================================================================}
procedure TForm1.show_Results_2(n:Integer;       //Number of products // Anzahl der Produkte
                                          FanList:String);  //Product List // Produktliste


var
  Typen:             Array of String; // Declaration of a string array for the types // Deklaration eines string Arrays fr die Typen
  IdNo :             Array of String; // Declaration of a string array for the ID // Deklaration eines string Arrays fr die ID

  m,Anz:integer;                       // Declaration of the variable m for the number of signs after a '|' // Deklaration der Variable m fr die Anzahl der Zeichen nach einem '|'
  s:String;                            // Declaration of the variable s for the product list // Deklaration der Variable s fr die Produktliste
begin
  SetLength(Typen,n+1);
  SetLength(IdNo,n+1);
  edGefFan.Text:= IntToStr(n);
  s:=FanList; {bergebener String merken}
  Anz:=0;    //Number of types //Anzahl der Typen
  while Pos(';',S) > 0 do begin    //  Semicolon in | convert and count // Wandle Semikolon zu | um und zhle hoch
    m:=Pos(';',S);                 //position of the semicolon  // Position des Semikolons
    S[m]:= '|';
    inc(Anz);
  end;


    memInfo.Lines.Add('number of existing ventilators: '+intToStr(Anz div 2)); // show the number of elements // Zeige die Anzahl der Elemente an

  n:=1;
  while length(s)>0 do begin       // While the length is > 0 // Whrend die Lnge > 0 ist
    m:=pos('|',s);
    idno[n]:=copy(s,1,m-1);        // Copy the ID to the idno array // Kopiere die ID in das idno Array
    delete(s,1,m);                 // Delete the ID in the string // Lsche die ID in dem string
    s:=trim(s);                    // Trim the string  // Trimme den String

    m:=pos('|',s);
    Typen[n]:=copy(s,1,m-1);       // Copy the type to the type array // Kopiere die Typen in das Typen Array
    delete(s,1,m);                 // Delete the type int the string // Lsche den Typ in den string
    s:=trim(s);                    // Trim the string // Trimme den String



    memInfo.Lines.Add('No: '+intToStr(n)+'   '+idno[n]+'   '+Typen[n]); // Fill the Memo with the information // Flle die Memo mit Informationen
    comBoxIdNo.Items.Add(IdNo[n]);  // Fill the ID ComboBox with the information // Flle die ID ComboBox mit Informationen
    comBoxTyp.Items.Add(Typen[n]);  // Fill the type ComboBOx with the information // Flle die Typ ComboBox mit Informationen
    inc(n);
  end;
  if comBoxIdNo.Items.Count>0   then comBoxIdNo.ItemIndex:=0; //Show the ID of the first product // Zeige die ID vom ersten Produkt
  if comBoxTyp.Items.Count>0    then comBoxTyp.ItemIndex:=0;  //Show the type of the first product // Zeige den Typ des ersten Produkts
end;


{===============================================================================}
procedure TForm1.list_item_standards_fanmotor(OUTPUT : ToutputArrDouble);
var
Texte : AnsiString; // AnsiString for showing KEY,SIZE,TYP,ISOCLASS,PROTECTION
i : integer;        // Counter variable // Zhlvariable
begin
i := 0;
Texte := '';
while KEY[i] <> #00 do   // As long as there is filled sign // Solange ein geflltes Zeichen vorhanden ist
  begin
    Texte := Texte + KEY[i]; // Write the signs in the Ansitring // Schreibe die Zeichen in das Ansistring
    inc(i);
  end;
  RichTextBoxOutputData.Lines.Add('Key: ' + Texte); // And show it in the edit box and the list // Und zeige sie in der Editbox und in der Liste an
  i := 0;                                           // Set i = 0 // Setze i = 0
  Texte := '';                                      // Delete the Text to fill it with a new Data // Lsche den Text, um ihn mit neuen Daten auszufllen
  while SIZE[i] <> #00 do
  begin
    Texte := Texte + SIZE[i];
    inc(i);
  end;
  edSize.Text := Texte;
  RichTextBoxOutputData.Lines.Add('Output SIZE:   ' + Texte); // Gre
  i := 0;
  Texte := '';
  while TYP[i] <> #00 do
  begin
  Texte := Texte + TYP[i];
    inc(i);
  end;
  edTyp.Text := Texte;
  RichTextBoxOutputData.Lines.Add('Output TYP:   ' + Texte); // Type
  i := 0;
  Texte := '';
  while ISOCLASS[i] <> #00 do
  begin
  Texte := Texte + ISOCLASS[i];
    inc(i);
  end;
  RichTextBoxOutputData.Lines.Add('Output ISOCLASS:   ' + Texte); // ISOKLASSE
  edIsoclass.Text := Texte;
  i := 0;
  Texte := '';
  while PROTECTION[i] <> #00 do
  begin
    Texte := Texte + PROTECTION[i];
    inc(i);
  end;
  RichTextBoxOutputData.Lines.Add('Output PROTECTIONS:   ' + Texte); // Schutz
  edProtection.Text := Texte;
  // Show all the Data in the Editboxes in a list // Zeige alle Daten in die Editboxen und in einer Liste an
  Edit0.Text := FloatToStr(OUTPUT[0]);
  Edit2.Text := FloatToStr(OUTPUT[2]);
  Edit3.Text := FloatToStr(OUTPUT[3]);
  Edit4.Text := FloatToStr(OUTPUT[4]);
  Edit5.Text := FloatToStr(OUTPUT[5]);
  Edit6.Text := FloatToStr(OUTPUT[6]);
  Edit7.Text := FloatToStr(OUTPUT[7]);
  Edit8.Text := FloatToStr(OUTPUT[8]);
  Edit9.Text := FloatToStr(OUTPUT[9]);
  Edit10.Text := FloatToStr(OUTPUT[10]);
  Edit11.Text := FloatToStr(OUTPUT[11]);
  Edit12.Text := FloatToStr(OUTPUT[12]);
  Edit13.Text := FloatToStr(OUTPUT[13]);
  Edit14.Text := FloatToStr(OUTPUT[14]);
  Edit15.Text := FloatToStr(OUTPUT[15]);
  Edit16.Text := FloatToStr(OUTPUT[16]);
  Edit17.Text := FloatToStr(OUTPUT[17]);
  Edit18.Text := FloatToStr(OUTPUT[18]);
  Edit19.Text := FloatToStr(OUTPUT[19]);
  Edit20.Text := FloatToStr(OUTPUT[20]);
  RichTextBoxOutputData.Lines.Add('----------------------------------------------------------');
  RichTextBoxOutputData.Lines.Add('Output SIZE:   ' + Texte);
  RichTextBoxOutputData.Lines.Add('max. Luftvolumenstrom [m/h]:     ' +  FloatToStr(OUTPUT[2]) ); // Airvolume flow
  RichTextBoxOutputData.Lines.Add('max. zulssige Drehzahl [1/min]:     ' +  FloatToStr(OUTPUT[3]) ); // permissible speed
  RichTextBoxOutputData.Lines.Add('max. Druckdifferenz-total [Pa]:     ' +  FloatToStr(OUTPUT[4]) ); // maximum pressure difference
  RichTextBoxOutputData.Lines.Add('Verfgbare Drehzahlstufen:     ' +  FloatToStr(OUTPUT[5]) ); // Available speeds
  RichTextBoxOutputData.Lines.Add('Elektr. Nennspannung [V]:     ' +  FloatToStr(OUTPUT[6]) ); // electric rated voltage
  RichTextBoxOutputData.Lines.Add('Anschluphasen (Anzahl):     ' +  FloatToStr(OUTPUT[7]) ); // Connection phases
  RichTextBoxOutputData.Lines.Add('Elektr. Nennleistung [kW]:     ' +  FloatToStr(OUTPUT[8]) ); // Power rating
  RichTextBoxOutputData.Lines.Add('Elektr. Nennstromaufnahme [A]:     ' +  FloatToStr(OUTPUT[9]) ); // Nominal current consumption
  RichTextBoxOutputData.Lines.Add('max. Anlaufstrom [A]:     ' +  FloatToStr(OUTPUT[10]) ); // maximum start up current
  RichTextBoxOutputData.Lines.Add('max. Anlaufzeit [s]:     ' +  FloatToStr(OUTPUT[11]) ); // maximum lead time
  RichTextBoxOutputData.Lines.Add('max. Leistungsaufnahme [kW]:     ' +  FloatToStr(OUTPUT[12]) ); // maximum input
  RichTextBoxOutputData.Lines.Add('max. Stromaufnahme [A]:     ' +  FloatToStr(OUTPUT[13]) ); // current consumption
  RichTextBoxOutputData.Lines.Add('max. Umgebungstemp [C]:     ' +  FloatToStr(OUTPUT[14]) ); // ambient temperature
  RichTextBoxOutputData.Lines.Add('Gewicht [kg]:     ' +  FloatToStr(OUTPUT[15]) ); // weight
  RichTextBoxOutputData.Lines.Add('Breite [mm]:     ' +  FloatToStr(OUTPUT[16]) );  // width
  RichTextBoxOutputData.Lines.Add('Hhe   [mm]:     ' +  FloatToStr(OUTPUT[17]) );  // height
  RichTextBoxOutputData.Lines.Add('Tiefe  [mm]:     ' +  FloatToStr(OUTPUT[18]) );  // depth
  RichTextBoxOutputData.Lines.Add('Wellendurchmesser [mm]:     ' +  FloatToStr(OUTPUT[19]) );  // shaft diameter
  RichTextBoxOutputData.Lines.Add('zulssige Radialkraft am Wellenende [mm]:     ' +  FloatToStr(OUTPUT[20]) ); // Permissible force on the shaft field
  RichTextBoxOutputData.Lines.Add('Key:     ' +  FloatToStr(OUTPUT[21]) );  // Schlssel
  RichTextBoxOutputData.Lines.Add('fanReference:     ' +  FloatToStr(OUTPUT[22]) );   // Lfterreferenzen
  RichTextBoxOutputData.Lines.Add('Fehlerparameter:     ' +  FloatToStr(OUTPUT[0]) ); // error parameters

end;

{===============================================================================}
// Function to get the values // Funtion um die Werte zu holen
function TForm1.get_input_value : ToutputArrDouble;
var
errCodeStandards : Integer; // The error code // Der Error Code
ID_Number : AnsiString;     // AnsiString for the ID Number being a necessary parameter for the function // AnsiString fr die ID Nummer, die ein notwendiger Parameter fr die Funktion ist
  i: Integer;
begin
  for i := 0 to 500 do
    begin
      KEY[i] := #00;
      SIZE[i] := #00;
      TYP[i] := #00;
      ISOCLASS[i] := #00;
      PROTECTION[i] := #00;
    end;
  edIdNo.Text := comBoxIdNo.Text; // Write the ID from the ComboBox in the Edit Box // Schreibe die ID von der ComboBox in die Edit Box
  ID_Number := edIdNo.Text;
  for i := 0 to 500 do            // Copy the ID in the Char Array // Kopiere die ID in das Char Array
  begin
    KEY[i] := ID_Number[i+1];
  end;
  errCodeStandards := GET_STANDARDS_FANMOTOR(KEY,SIZE,TYP,ISOCLASS,PROTECTION,z1,z2,OUTPUT); // Get the Data // Hole die Daten
  edErrCodeStandards.Text := IntToStr(errCodeStandards); // Show the error code // Zeige den Error Code an
  Result := OUTPUT;                                      // Return the OUTPUT Data for a another function // Rckgabe der Output Daten fr eine weitere Funktion

end;
{===============================================================================}
procedure TForm1.check_product_prerequisite;
var
OUTPUT : ToutputArrDouble;
begin
   //If a product is selected and database is bound, then proceed // Wenn ein Produkt gewhlt wurde und die Datenbank eingebunden wurde, dann fahre fort
  if (edGefFan.Text <> '') and (edErrCode.Text = '0') then
  begin

    OUTPUT :=  get_input_value;             // function to get the input value // Funktion, um die Input Daten zu holen
    list_item_standards_fanmotor(OUTPUT);   // Function to show the Data // Funktion, um die Daten anzuzeigen

  end
  else
  begin

  end;

end;
{===============================================================================}
procedure TForm1.btGetStandardsFanmotorClick(Sender: TObject);
begin
    check_product_prerequisite;              // Check if the Database was set // berprfe, ob die Datenbank gesetzt wurde
end;

{===============================================================================}

// Button to show or hide the Output Data // Button um die Output Daten anzuzeigen oder zu verstecken
procedure TForm1.BtoutputClick(Sender: TObject);
begin
  if RichTextBoxOutputData.Visible = true then
  begin
    RichTextBoxOutputData.Visible := false;
    Btoutput.Caption := 'Show Output Data'
  end
  else
  begin
    RichTextBoxOutputData.Visible := true;
    Btoutput.Caption := 'Hide Output Data'
  end;
end;

procedure TForm1.comBoxTypChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxTyp.ItemIndex;
  comBoxIdNo.ItemIndex := n;
  edIdNo.Text := comBoxIdNo.Text;
end;


procedure TForm1.Delay(const Milliseconds: DWord);
var
  FirstTickCount: DWord;
begin
  FirstTickCount := GetTickCount;
  while ((GetTickCount - FirstTickCount) < Milliseconds) do
    Application.ProcessMessages;
end;


 procedure TForm1.Timer1Timer(Sender: TObject);
var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfgbar -1 = file ist nicht verfgbar
begin

Timer1.Enabled := false;
 if ParamCount > 0 then
begin
   if paramCount = 1 then
  begin




    Path := trim(ParamStr(1)); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu knnen
    n := setPath(Path);
    edPfad.Text := ParamStr(1);
    // if the file doesnt exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then
    begin
    ShowMessage('Pfad existiert nicht! Bitte whlen sie einen gltigen Pfad!');
    end;

      Delay(1000);
      List_item;        // list the itmes // Liste die Daten auf
      Delay(1000);
      check_product_prerequisite;
  end;

  if paramCount = 2 then
  begin
    //ShowMessage(ParamStr(2));
  end;
end;
end;

end.
