﻿unit GETTECHNICHALDATAunit;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.Filectrl,
  Vcl.ComCtrls, Vcl.StdCtrls;
type
  TForm1 = class(TForm)
    Panel1: TPanel;
    butPathPc: TButton;
    edErrCode: TEdit;
    edPfad: TEdit;
    butExecute: TButton;
    Label1: TLabel;
    Label2: TLabel;
    memInfo: TMemo;
    edGefFan: TEdit;
    comBoxIdNo: TComboBox;
    comBoxTyp: TComboBox;
    butGetProducts: TButton;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Panel2: TPanel;
    buttonGetTechnicalDataPC: TButton;
    Label6: TLabel;
    edErrCodeTechnicalData: TEdit;
    edIdNoTechnicalData: TEdit;
    Label7: TLabel;
    memTechnicalData: TMemo;
    ed50: TEdit;
    ed51: TEdit;
    ed52: TEdit;
    ed53: TEdit;
    ed54: TEdit;
    ed55: TEdit;
    Label8: TLabel;
    Label9: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    Label18: TLabel;
    Label20: TLabel;
    ed1: TEdit;
    ed2: TEdit;
    ed3: TEdit;
    ed4: TEdit;
    ed5: TEdit;
    ed6: TEdit;
    ed7: TEdit;
    ed8: TEdit;
    Label19: TLabel;
    Label22: TLabel;
    Label21: TLabel;
    Label23: TLabel;
    Label24: TLabel;
    Label25: TLabel;
    Label26: TLabel;
    Label27: TLabel;
    Label28: TLabel;
    Timer1: TTimer;
    procedure butPathPcClick(Sender: TObject);
    procedure butExecuteClick(Sender: TObject);
    procedure show_Results(n: Integer; Path : string);
    function setPath(Path: AnsiString): Integer;
    procedure butGetProductsClick(Sender: TObject);
    procedure Clear_display;
    procedure List_item;
    procedure show_Results_2(n:Integer; FanList:String);
    procedure buttonGetTechnicalDataPCClick(Sender: TObject);
    procedure check_product_prerequisite;
    function list_item_Technical_Data : Integer;
    procedure show_Results_Technical_DAta(buffer : PAnsichar);
    procedure comBoxIdNoChange(Sender: TObject);
    procedure comBoxTypChange(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Delay(const Milliseconds: DWord);


  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation
uses uDLLdef;
{$R *.dfm}
{===============================================================================}
procedure TForm1.butExecuteClick(Sender: TObject);
var
  BuPath: string;
  mbYesNo: Integer;
  selDirect: boolean;
  vBuPath: string;
begin
  // Call the Directory// Directory aufrufen
  selDirect := SelectDirectory('Wählen Sie den gewünschten Pfad aus.', '', BuPath);
  // If not true close the Window // Wenn nicht wahr, Fenster schließen
  if not selDirect then
  begin
    Exit;
  end
  else
  // Open the FolderBrowserDialog // FolderBrowserDialog öffnen
  begin
    vBuPath := 'Wollen Sie den Pfad:  ' + BuPath + #13 + 'übernehmen?';
    mbYesNo := MessageDlg(vBuPath, mtConfirmation, [mbYes, mbNo], 0);
    // if 'Yes' write the path in the variable and show it in the Editbox// wenn 'Ja' Pfad in Variable schreiben und in Edit-Feld anzeigen
    if mbYesNo = ID_YES then
    begin
      edPfad.Text := BuPath
    end
    else
    // if no stop the process and show a message// Wenn 'Nein' Verarbeitung stoppen, Fehlermeldung ausgeben
    begin
      application.messageBox('Die Verarbeitung wurde abgebrochen!', ' ', 0);
    end;

  end;

end;
{===============================================================================}
procedure TForm1.butPathPcClick(Sender: TObject);
var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfügbar -1 = file ist nicht verfügbar
begin

    Path := trim(edPfad.Text); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu können
    n := setPath(Path);

    // if the file doesn´t exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then

    ShowMessage('Pfad existiert nicht! Bitte wählen sie einen gültigen Pfad!');
end;
{===============================================================================}
procedure TForm1.show_Results(n: Integer; Path: string);
var
  l: LongInt;           // l = length of the path string (number of signs) // l = die Länge des Pfad Strings (Anzahl der Zeichen)
begin

  l := length(Path);   // Set the length of the path // Setze die Länge des Pfads
  if Path[l] = ';' then  // if there is a semcolon at the end // Wenn ein Semikolon am Ende steht
    delete(Path, l, 1);  // delete it // lösche es
  if fileExists(Path + '\Data.sqlite') then // if the file Data.sqlite exists edErrCode will show 0 // Wenn die file Data.sqlite existiert wird edErrCode eine 0 anzeigen
  begin
    edPfad.Text := Path;
    edErrCode.Text := intToStr(n);
  end
  else    // if not edErrCode will show -1 // wenn nicht, wird edErrCode eine -1 anzeigen
  begin
    edErrCode.Text := intToStr(-1);
    edPfad.Text := 'keine Datenbank vorhanden!  ' + Path + '\Data.sqlite'
  end;
end;
{===============================================================================}
function TForm1.setPath(Path: AnsiString): Integer;
var
  l, n: LongInt;
  path_PAnsiChar: PAnsiChar;
  buffer: PAnsiChar;
begin
  n := -1;
  if fileExists(Path + '\Data.sqlite') then  // if the file Data.sqlite exists  // Wenn die file Data.sqlite existiert
  begin
    l := length(Path);                       // Set the length // Setze die Länge
    if Path[l] <> ';' then                   // if there is no semicolon at the end // Wenn kein Semikolon am Ende steht
    Path := Path + ';';                      // Add a semicolon // Füge ein Semikolon hinzu
    GetMem(buffer, 4000);                    // Get Free Memory for the function // Hole freien Speicher für die Funktion
    buffer := PAnsiChar(Path);               // write the path in the variable buffer (in Ansi code) // schreibe den Pfad in die Variable buffer (im Ansicode)
    n := uDLLdef.SET_XML_PATH_PC(buffer);    // integrate the database with the program // Binde die Datenbank in das Programm ein
    show_Results(n, buffer);                 // show the result // zeige das Ergebnis
  end
  else
  begin
    result := n;
  end;
end;
{===============================================================================}
procedure TForm1.butGetProductsClick(Sender: TObject);
begin
  if edErrCode.Text = '0' then
  begin
  List_item;        // list the itmes // Liste die Daten auf
  end;
end;
{===============================================================================}
procedure TForm1.Clear_display;
begin
  memInfo.Clear;    // delete the content of  memInfo // Lösche den Inhalt von memInfo
  comBoxIdNo.Clear; // delete the content of comBoxIdNo // Lösche den Inhalt von comBoxIdNo
  comBoxTyp.Clear;  // delete the content of comBoxTyp // Lösche den Inhalt von ComBoxTyp
end;
{===============================================================================}
procedure TForm1.comBoxIdNoChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxIdNo.ItemIndex;
  comBoxTyp.ItemIndex := n;
  edIdNoTechnicalData.Text := comBoxIdNo.Text;
end;
{===============================================================================}
procedure TForm1.comBoxTypChange(Sender: TObject);
var
n : integer;
begin
  n := comBoxTyp.ItemIndex;
  comBoxIdNo.ItemIndex := n;
  edIdNoTechnicalData.Text := comBoxIdNo.Text;
end;
{===============================================================================}
procedure TForm1.List_item;
var
  fanDescription: PAnsiChar;
  n:integer;
  FanList:String;
begin
  Clear_display;                                    // Clear the contents // Lösche die Inhalte

      // PC PAnsiChar // PC AnsiChar
       GetMem(fanDescription, 4000);
       n:=uDLLdef.GET_PRODUCTS_PC(fanDescription);   // Get the Products(PC) // Hole die Produkte
      if (n <0) then                                 // If Get Products Button is clicked before Setting the Database
      begin
      ShowMessage('Der Pfad wurde noch nicht gesetzt.');
      FreeMem(fanDescription);                      // free the Memory // Gebe den Speicher frei
      end
      else
      begin
                       // Get free Memory for the function // Hole freien Speicher für die Funktion
      show_Results_2(n,fanDescription);             // Show the result in the Combobexes and the Memo // Zeige das Ergebnis in den Comboboxen und in der Memo
      FreeMem(fanDescription);                      // free the Memory // Gebe den Speicher frei
      end;

end;
{===============================================================================}
procedure TForm1.show_Results_2(n:Integer;       //Number of products // Anzahl der Produkte
                                          FanList:String);  //Product List // Produktliste


var
  Typen:             Array of String; // Declaration of a string array for the types // Deklaration eines string Arrays für die Typen
  IdNo :             Array of String; // Declaration of a string array for the ID // Deklaration eines string Arrays für die ID

  m,Anz:integer;                       // Declaration of the variable m for the number of signs after a '|' // Deklaration der Variable m für die Anzahl der Zeichen nach einem '|'
  s:String;                            // Declaration of the variable s for the product list // Deklaration der Variable s für die Produktliste
begin

  SetLength(Typen,n+1);
  SetLength(IdNo,n+1);
  edGefFan.Text:= IntToStr(n);
  s:=FanList; {übergebener String merken}
  Anz:=0;    //Number of types //Anzahl der Typen
  while Pos(';',S) > 0 do begin    //  Semicolon in | convert and count // Wandle Semikolon zu | um und zähle hoch
    m:=Pos(';',S);                 //position of the semicolon  // Position des Semikolons
    S[m]:= '|';
    inc(Anz);
  end;


    memInfo.Lines.Add('number of existing ventilators: '+intToStr(Anz div 2)); // show the number of elements // Zeige die Anzahl der Elemente an

  n:=1;
  while length(s)>0 do begin       // While the length is > 0 // Während die Länge > 0 ist
    m:=pos('|',s);
    idno[n]:=copy(s,1,m-1);        // Copy the ID to the idno array // Kopiere die ID in das idno Array
    delete(s,1,m);                 // Delete the ID in the string // Lösche die ID in dem string
    s:=trim(s);                    // Trim the string  // Trimme den String

    m:=pos('|',s);
    Typen[n]:=copy(s,1,m-1);       // Copy the type to the type array // Kopiere die Typen in das Typen Array
    delete(s,1,m);                 // Delete the type int the string // Lösche den Typ in den string
    s:=trim(s);                    // Trim the string // Trimme den String



    memInfo.Lines.Add('No: '+intToStr(n)+'   '+idno[n]+'   '+Typen[n]); // Fill the Memo with the information // Fülle die Memo mit Informationen
    comBoxIdNo.Items.Add(IdNo[n]);  // Fill the ID ComboBox with the information // Fülle die ID ComboBox mit Informationen
    comBoxTyp.Items.Add(Typen[n]);  // Fill the type ComboBOx with the information // Fülle die Typ ComboBox mit Informationen
    inc(n);
  end;
  if comBoxIdNo.Items.Count>0   then comBoxIdNo.ItemIndex:=0; //Show the ID of the first product // Zeige die ID vom ersten Produkt
  if comBoxTyp.Items.Count>0    then comBoxTyp.ItemIndex:=0;  //Show the type of the first product // Zeige den Typ des ersten Produkts
end;
{===============================================================================}
procedure XStrToCArr(text: AnsiString; var tmptext: PAnsiChar);
begin
  tmptext:=PAnsiChar(text);
end;
{===============================================================================}
function TForm1.list_item_Technical_Data : Integer;
var errCode : integer;
    FanstringSTRING : String;
    fanString : PAnsichar;
    buffer : PAnsiChar;
begin
  GetMem(buffer,4000);   // Get Memory for the function // Hole Speicher für die Funktion
  errCode := 99;         // Set errCode to 99 // Setze errCode auf 99
  edIdNoTechnicalData.Text := comBoxIdNo.Text; // Write the ID of the ComboBox in the editBox // Schreibe die ID der ComboBox in die EditBox
  FanstringSTRING := edIdNoTechnicalData.Text; // Save the ID in the variable for the function // Speichere die ID in die Variable für die Funktion
  XStrToCArr(FanstringSTRING, fanstring);
  errCode := GET_TECHNICAL_DATA_PC(fanString,buffer); // Get the Technica Data // Hole die Technische Daten
  show_Results_Technical_DAta(buffer); // Show the Results in the Memo and the EditBoxes // Zeige das Ergebnis in der Memo und der Edit Boxen an
  result := errCode; // return the error code // Gebe den Error Code zurück

end;
{===============================================================================}
procedure TForm1.check_product_prerequisite;
begin
   //If a product is selected and database is bound, then proceed // Wenn ein Produkt gewählt wurde und die Datenbank eingebunden wurde, dann fahre fort
  if (edGefFan.Text <> '') and (edErrCode.Text = '0') then
  begin

    edErrCodeTechnicalData.Text := IntToStr(list_item_Technical_Data)
  end;

end;

{===============================================================================}

procedure TForm1.buttonGetTechnicalDataPCClick(Sender: TObject);
begin
  check_product_prerequisite;
end;
{===============================================================================}
procedure TForm1.show_Results_Technical_DAta(buffer : PAnsichar);
var
resultat : Array of String; // Array for the result // Array für das Ergebnis
i : Integer;                // Counter variable // Zählvariable
tmpDescript : String;       // String for saving one Data in a period of time // String um ein Datenwert
j:integer;                  // Counter variable // Zählvariable
begin
 SetLength(resultat,40);
 i:= 0;
  tmpDescript:= '';
  while ((buffer[i] <> #00)) do begin  // As long as there is a content in fanDescription // Solange sich ein Inhalt in fanDescription befindet
    if buffer[i] <> ';' then           //if there is no semicolon add the Sign to tmpDescript // Wenn kein Semikolon, dann füge das Zeichen zu tmpDescript hinzu
      tmpDescript:= tmpDescript + buffer[i]
    else  // If there is a semicolon tmpDescript := tmpDescript + DC3 + DLE // Wenn ein Semikolon vorhanden: tmpDescript := tmpDescript + DC3 + DLE
    begin
      if tmpDescript = '' then // if there is no content do nothing // Tue nichts, wenn kein Inhalt vorhanden
      begin

      end
      else
      begin // Save the content in the Array // Speichere den Inhalt in das Array
      resultat[j]:= tmpDescript;
      tmpDescript := '';
      j := j+1;
      end;
    end;
    Inc(i);
  end;
            // Show the Data in the memo and the edit boxes // Zeige die Daten in der Memo und der Editboxen an
            ed50.Text := resultat[4];
            memTechnicalData.Lines.Add('Type:                          ' + resultat[4]);
            ed51.Text := resultat[3];
            memTechnicalData.Lines.Add('Max. fan speed:                ' + resultat[3] + ' [1/min]');
            ed52.Text := resultat[2];
            memTechnicalData.Lines.Add('Current draw:                  ' + resultat[2] + ' [A]');
            ed53.Text := resultat[1];
            memTechnicalData.Lines.Add('Input power:                   ' + resultat[1] + '[W]');
            ed54.Text := resultat[0];
            memTechnicalData.Lines.Add('Nominal voltage:               ' + resultat[0] + '[V]');
            ed55.Text := resultat[5];
            memTechnicalData.Lines.Add('Discharge area:                ' + resultat[5] + '[m^2]');
            ed1.Text := resultat[6];
            memTechnicalData.Lines.Add('Frequency:                ' + resultat[6] + 'Hz');
            ed2.Text := resultat[7];
            memTechnicalData.Lines.Add('Insulation class:                     ' + resultat[7] );
            ed3.Text := resultat[8];
            memTechnicalData.Lines.Add('Protection class:              ' + resultat[8]);
            ed4.Text := resultat[9];
            memTechnicalData.Lines.Add('ErP class:              ' + resultat[9] );
            ed5.Text := resultat[12];
            memTechnicalData.Lines.Add('cos phi:                     ' + resultat[12] );
            ed6.Text := resultat[13];
            memTechnicalData.Lines.Add('Motor pole:                ' + resultat[13] );
            ed7.Text := resultat[14];
            memTechnicalData.Lines.Add('η es (ERP):                    ' + resultat[14] + '%');
            ed8.Text := resultat[10];
            memTechnicalData.Lines.Add('Thermal winding protection:    ' + resultat[10] );
end;

procedure TForm1.Delay(const Milliseconds: DWord);
var
  FirstTickCount: DWord;
begin
  FirstTickCount := GetTickCount;
  while ((GetTickCount - FirstTickCount) < Milliseconds) do
    Application.ProcessMessages;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
var
  Path: AnsiString;
  n: LongInt;                  // n = number of the error code 0 = file is available -1 = file is not available // n = Nummer des Error Codes 0 = file ist verfügbar -1 = file ist nicht verfügbar
begin

Timer1.Enabled := false;
 if ParamCount > 0 then
begin
   if paramCount = 1 then
  begin




    Path := trim(ParamStr(1)); // Trim the content of the Editbox to look for the path // Trimme den Inhalt der Editbox um nach den Pfad nachschauen zu können
    n := setPath(Path);
    edPfad.Text := ParamStr(1);
    // if the file doesn´t exist show a Message // Wenn die File nicht existiert, zeige eine Benachrichtigung an
    if not DirectoryExists(edPfad.Text) then
    begin
    ShowMessage('Pfad existiert nicht! Bitte wählen sie einen gültigen Pfad!');
    end;

      Delay(1000);
      List_item;        // list the itmes // Liste die Daten auf
      Delay(1000);
      check_product_prerequisite;
  end;

  end;
end;

end.

